Bug Hunting Session
Bug 31607 - Crash on quit
Summary: Crash on quit
Status: RESOLVED DUPLICATE of bug 39520
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.4.0 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium critical
Assignee: Thorsten Behrens (CIB)
URL:
Whiteboard:
Keywords:
: 31096 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-11-13 13:44 UTC by pneukom
Modified: 2017-10-25 07:09 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Crash log when copy/past and quit in Calc (46.04 KB, text/plain)
2011-04-30 03:49 UTC, Joris Muller
Details
crash report (42.04 KB, text/plain)
2011-05-13 04:39 UTC, Florian Effenberger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pneukom 2010-11-13 13:44:40 UTC
LO 3.3b4 crashes after using Cmd-Q (File:Quit) when working on (ods) spreadsheets.  

The spreadsheets have been open and worked on for some time (ie. > 1hr).  I've tried saving the files first, then quit and LO crashes.  I've tried to quit without saving first, and it also crashes after have the "Save file before quitting" and saying "Yes".  

I've tested the same spreadsheets using GO-OO 3.2.1 and it doesn't crash on quit after working on spreadsheets in same manner.

This crash has been happening since I updated from LO3.3b2 to LO3.3b4.

Please find crash reports below:

MacOS X 10.5.8
---
System Configuration
---
Model: MacBookPro5,1, BootROM MBP51.007E.B05, 2 processors, Intel Core 2 Duo, 2.66 GHz, 4 GB
Graphics: kHW_NVidiaGeForce9600MGTItem, NVIDIA GeForce 9600M GT, spdisplays_pcie_device, 512 MB
Graphics: kHW_NVidiaGeForce9400MItem, NVIDIA GeForce 9400M, sppci_pci_device, 256 MB
Memory Module: global_name
---
Details
---
Process:         soffice [1955]
Path:            /Applications/LibreOffice.app/Contents/MacOS/soffice
Identifier:      org.openoffice.script
Version:         3.3.0 (???)
Code Type:       X86 (Native)
Parent Process:  launchd [171]

Interval Since Last Report:          68128 sec
Crashes Since Last Report:           1
Per-App Interval Since Last Report:  24670 sec
Per-App Crashes Since Last Report:   1

Date/Time:       2010-11-12 12:05:21.140 -0500
OS Version:      Mac OS X 10.5.8 (9L30)
Report Version:  6
Anonymous UUID:  7E202EA5-992C-4D9B-89C2-B2C3C900B44E

Exception Type:  EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x00000000000002c8
Crashed Thread:  0

Thread 0 Crashed:
0   libscmxi.dylib                	0x1ebf5f65 ScGlobal::GetRscString(unsigned short) + 45
1   libscmxi.dylib                	0x1ed05777 ScViewOptions::SetDefaults() + 113
2   libscmxi.dylib                	0x1e935242 ScViewData::ScViewData(ScDocShell*, ScTabViewShell*) + 84
3   libscmxi.dylib                	0x1e7d33e5 ScTransferObj::PaintToDev(OutputDevice*, ScDocument*, double, ScRange const&, unsigned char) + 153
4   libscmxi.dylib                	0x1e7d50d6 ScTransferObj::GetData(com::sun::star::datatransfer::DataFlavor const&) + 1502
5   libsvtmxi.dylib               	0x0104812c TransferableHelper::getTransferData(com::sun::star::datatransfer::DataFlavor const&) + 726
6   libvclmxi.dylib               	0x01eedbef DataFlavorMapper::getDataProvider(NSString*, com::sun::star::uno::Reference<com::sun::star::datatransfer::XTransferable>) const + 81
7   libvclmxi.dylib               	0x01ee9bff AquaClipboard::provideDataForType(NSPasteboard*, NSString*) + 67
8   com.apple.AppKit              	0x95679900 __NSPasteboardProvideData + 165
9   com.apple.CoreFoundation      	0x9708bcc0 __CFPasteboardResolvePromiseForItemLocal + 176
10  com.apple.CoreFoundation      	0x9708c0a5 CFPasteboardResolveAllPromisedData + 357
11  com.apple.Foundation          	0x960b252c _nsnote_callback + 364
12  com.apple.CoreFoundation      	0x9708247a __CFXNotificationPost + 362
13  com.apple.CoreFoundation      	0x97082753 _CFXNotificationPostNotification + 179
14  com.apple.Foundation          	0x960af680 -[NSNotificationCenter postNotificationName:object:userInfo:] + 128
15  com.apple.Foundation          	0x960b8ed8 -[NSNotificationCenter postNotificationName:object:] + 56
16  com.apple.AppKit              	0x954dd188 -[NSApplication terminate:] + 353
17  com.apple.AppKit              	0x953fde8f -[NSApplication sendAction:to:from:] + 112
18  com.apple.AppKit              	0x954acb64 -[NSMenu performActionForItemAtIndex:] + 493
19  com.apple.AppKit              	0x954ac869 -[NSCarbonMenuImpl performActionWithHighlightingForItemAtIndex:] + 220
20  com.apple.AppKit              	0x954894ba AppKitMenuEventHandler + 6608
21  com.apple.HIToolbox           	0x9716a13d DispatchEventToHandlers(EventTargetRec*, OpaqueEventRef*, HandlerCallRec*) + 1181
22  com.apple.HIToolbox           	0x9716957b SendEventToEventTargetInternal(OpaqueEventRef*, OpaqueEventTargetRef*, HandlerCallRec*) + 405
23  com.apple.HIToolbox           	0x97185ecc SendEventToEventTarget + 52
24  com.apple.HIToolbox           	0x971ba1e7 SendHICommandEvent(unsigned long, HICommand const*, unsigned long, unsigned long, unsigned char, OpaqueEventTargetRef*, OpaqueEventTargetRef*, OpaqueEventRef**) + 411
25  com.apple.HIToolbox           	0x971e0959 SendMenuCommandWithContextAndModifiers + 59
26  com.apple.HIToolbox           	0x971e0914 SendMenuItemSelectedEvent + 134
27  com.apple.HIToolbox           	0x971e082a FinishMenuSelection(MenuData*, MenuData*, MenuResult*, MenuResult*, unsigned long, unsigned long, unsigned long, unsigned char) + 162
28  com.apple.HIToolbox           	0x971bd494 MenuSelectCore(MenuData*, Point, double, unsigned long, OpaqueMenuRef**, unsigned short*) + 640
29  com.apple.HIToolbox           	0x971bce7f _HandleMenuSelection2 + 383
30  com.apple.HIToolbox           	0x971bccf3 _HandleMenuSelection + 53
31  com.apple.AppKit              	0x953c5e67 _NSHandleCarbonMenuEvent + 244
32  com.apple.AppKit              	0x9532cbc2 _DPSNextEvent + 1918
33  com.apple.AppKit              	0x9532bf88 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 128
34  libvclmxi.dylib               	0x01ee49b2 AquaSalInstance::Yield(bool, bool) + 518
35  libvclmxi.dylib               	0x01c57728 Application::Yield(bool) + 86
36  libvclmxi.dylib               	0x01c57802 Application::Execute() + 84
37  libsofficeapp.dylib           	0x00092abd 0x7c000 + 92861
38  libvclmxi.dylib               	0x01c5d6af ImplSVMain() + 373
39  libvclmxi.dylib               	0x01ee4050 AquaSalInstance::handleAppDefinedEvent(NSEvent*) + 82
40  libvclmxi.dylib               	0x01ee7e1a SalData::~SalData() + 2444
41  com.apple.AppKit              	0x95324fe7 -[NSApplication run] + 867
42  com.apple.AppKit              	0x952f21d8 NSApplicationMain + 574
43  libvclmxi.dylib               	0x01ee527c ImplSVMainHook(unsigned char*) + 342
44  libvclmxi.dylib               	0x01c5d73b SVMain() + 17
45  libsofficeapp.dylib           	0x000b342c soffice_main + 160
46  org.openoffice.script         	0x00001f0e main + 30
47  org.openoffice.script         	0x0000187e start + 258
48  org.openoffice.script         	0x000017a5 start + 41

Thread 1:
0   libSystem.B.dylib             	0x949442c6 semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib             	0x949762af _pthread_cond_wait + 1244
2   libSystem.B.dylib             	0x949c0aab pthread_cond_timedwait + 47
3   libuno_sal.dylib.3            	0x00216609 rtl_cache_wsupdate_all + 265
4   libSystem.B.dylib             	0x94975155 _pthread_start + 321
5   libSystem.B.dylib             	0x94975012 thread_start + 34

Thread 2:
0   libSystem.B.dylib             	0x9494b44e __semwait_signal + 10
1   libSystem.B.dylib             	0x94975dcd pthread_cond_wait$UNIX2003 + 73
2   com.apple.ColorSync           	0x94d3d3f8 pthreadSemaphoreWait(t_pthreadSemaphore*) + 42
3   com.apple.ColorSync           	0x94d4fd4e CMMConvTask(void*) + 54
4   libSystem.B.dylib             	0x94975155 _pthread_start + 321
5   libSystem.B.dylib             	0x94975012 thread_start + 34

Thread 0 crashed with X86 Thread State (32-bit):
  eax: 0x00000000  ebx: 0x1ebf5f46  ecx: 0x000002c8  edx: 0x000000b2
  edi: 0x000000b2  esi: 0x23065860  ebp: 0xbfffd328  esp: 0xbfffd2b0
   ss: 0x0000001f  efl: 0x00010202  eip: 0x1ebf5f65   cs: 0x00000017
   ds: 0x0000001f   es: 0x0000001f   fs: 0x00000000   gs: 0x00000037
  cr2: 0x000002c8

Binary Images:
    0x1000 -     0x1fff +org.openoffice.script 3.3.0 (???) /Applications/LibreOffice.app/Contents/MacOS/soffice
    0x8000 -     0xbfcd +libi18nisolang1gcc3.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libi18nisolang1gcc3.dylib
   0x13000 -    0x14fff +libuno_salhelpergcc3.dylib.3 ??? (???) /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/libuno_salhelpergcc3.dylib.3
   0x4d000 -    0x4ffff +libi18npapermxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libi18npapermxi.dylib
   0x7c000 -    0xdffdf +libsofficeapp.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libsofficeapp.dylib
  0x120000 -   0x14bff8 +libuno_cppu.dylib.3 ??? (???) /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/libuno_cppu.dylib.3
  0x16b000 -   0x179fff +libvos3gcc3.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libvos3gcc3.dylib
  0x1ee000 -   0x384fdf +libuno_sal.dylib.3 ??? (???) /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/libuno_sal.dylib.3
  0x3dc000 -   0x4d8fcf +libcomphelp4gcc3.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libcomphelp4gcc3.dylib
  0x609000 -   0x6a1ff3 +libuno_cppuhelpergcc3.dylib.3 ??? (???) /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/libuno_cppuhelpergcc3.dylib.3
  0x708000 -   0x724ffe +libdeploymentmiscmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libdeploymentmiscmxi.dylib
  0x744000 -   0xa91fef +libsfxmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libsfxmxi.dylib
  0xd34000 -   0xde6ffb +libsvlmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libsvlmxi.dylib
  0xe7b000 -  0x1162fe3 +libsvtmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libsvtmxi.dylib
 0x13d5000 -  0x15f2fe7 +libtkmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libtkmxi.dylib
 0x18dd000 -  0x1958fef +libtlmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libtlmxi.dylib
 0x19a3000 -  0x19f7fe3 +libucbhelper4gcc3.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libucbhelper4gcc3.dylib
 0x1a4b000 -  0x1b62fd3 +libutlmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libutlmxi.dylib
 0x1c4b000 -  0x1fd3fd2 +libvclmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libvclmxi.dylib
 0x21fa000 -  0x235efcf +libdb-4.7.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libdb-4.7.dylib
 0x237d000 -  0x23f1fce +libxcrmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libxcrmxi.dylib
 0x243e000 -  0x24e6ffe +libbasegfxmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libbasegfxmxi.dylib
 0x254e000 -  0x25cbff1 +libfwemxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libfwemxi.dylib
 0x2628000 -  0x272dfef +libsbmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libsbmxi.dylib
 0x280b000 -  0x284cfff +libsotmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libsotmxi.dylib
 0x2889000 -  0x2898ff2 +libsaxmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libsaxmxi.dylib
 0x28aa000 -  0x28ccfe3 +libfwimxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libfwimxi.dylib
 0x28ee000 -  0x28f1fff +libi18nutilgcc3.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libi18nutilgcc3.dylib
 0x2902000 -  0x29e8ffb +libicuuc.dylib.40.1 ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libicuuc.dylib.40.1
 0x2a4e000 -  0x2a65fff +libjvmfwk.dylib.3 ??? (???) /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/libjvmfwk.dylib.3
 0x2a73000 -  0x37b7fef +libicudata.dylib.40.1 ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libicudata.dylib.40.1
 0x37ba000 -  0x37e5ffb +libicule.dylib.40.1 ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libicule.dylib.40.1
 0x3806000 -  0x3809fff +libjvmaccessgcc3.dylib.3 ??? (???) /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/libjvmaccessgcc3.dylib.3
 0x3810000 -  0x39faffe +libbasebmpmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libbasebmpmxi.dylib
 0x3b52000 -  0x3b58ff7 +libAppleRemotemxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libAppleRemotemxi.dylib
 0x3be3000 -  0x3be5fff +com.unsanity.menuextraenabler 1.0.3 (1.0.3) /Library/InputManagers/Menu Extra Enabler/Menu Extra Enabler.bundle/Contents/MacOS/Menu Extra Enabler
 0x3f66000 -  0x3f6efdf +libscdmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libscdmxi.dylib
 0x3f74000 -  0x3f87fcf +libavmediamxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libavmediamxi.dylib
 0x3fc3000 -  0x3fcefca +libgcc3_uno.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/libgcc3_uno.dylib
 0x3fdc000 -  0x3ff1fe3 +libreg.dylib.3 ??? (???) /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/libreg.dylib.3
0x168a3000 - 0x168a8ffe +libmcnttype.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libmcnttype.dylib
0x18be9000 - 0x18c7dfd4 +bootstrap.uno.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/bootstrap.uno.dylib
0x18d16000 - 0x18d27fff +libstore.dylib.3 ??? (???) /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/libstore.dylib.3
0x19bf1000 - 0x19c5cfff +configmgr.uno.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/configmgr.uno.dylib
0x19d02000 - 0x19d05ffd +localebe1.uno.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/localebe1.uno.dylib
0x19e3a000 - 0x19e3effd +macbe1.uno.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/macbe1.uno.dylib
0x1a25e000 - 0x1a280fd3 +libsplmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libsplmxi.dylib
0x1a600000 - 0x1a613fdf +stocservices.uno.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/stocservices.uno.dylib
0x1a63a000 - 0x1a781feb +i18npool.uno.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/i18npool.uno.dylib
0x1a824000 - 0x1a94cfdf +libicui18n.dylib.40.1 ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libicui18n.dylib.40.1
0x1aa67000 - 0x1aa6dffd +libMacOSXSpellmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libMacOSXSpellmxi.dylib
0x1ad49000 - 0x1ad4cfff +ucpexpand1.uno.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/ucpexpand1.uno.dylib
0x1ad7d000 - 0x1adaefdf +libhelplinkermxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libhelplinkermxi.dylib
0x1ae5d000 - 0x1ae69fff  com.apple.iokit.IOHIDLib 1.5.5 (1.5.5) <b8fc922eae4ec02441920c284952b437> /System/Library/Extensions/IOHIDFamily.kext/Contents/PlugIns/IOHIDLib.plugin/Contents/MacOS/IOHIDLib
0x1b0e9000 - 0x1b140fe2 +libpackage2.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libpackage2.dylib
0x1b23d000 - 0x1b250fef +libformxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libformxi.dylib
0x1b277000 - 0x1b2affef +libucb1.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libucb1.dylib
0x1b2e1000 - 0x1b51bfef +libfwkmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libfwkmxi.dylib
0x1b596000 - 0x1b5e5fd3 +libucpfile1.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libucpfile1.dylib
0x1b6d1000 - 0x1b711fca +libfilterconfig1.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libfilterconfig1.dylib
0x1bae5000 - 0x1be93fe3  com.apple.RawCamera.bundle 3.3.0 (533) <05a38d218556434c8baa850a6ec99b37> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
0x1cc18000 - 0x1ccd5ffa +libmsfiltermxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libmsfiltermxi.dylib
0x1cdcd000 - 0x1ce33fdb +liblngmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/liblngmxi.dylib
0x1cea5000 - 0x1cee3fc7 +libuuimxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libuuimxi.dylib
0x1cefa000 - 0x1cf18fff +libforuimxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libforuimxi.dylib
0x1d09b000 - 0x1d0b2fff +fsstorage.uno.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/fsstorage.uno.dylib
0x1d0cd000 - 0x1d0e3ff3 +reflection.uno.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/reflection.uno.dylib
0x1d200000 - 0x1d222ff6 +libcanvastoolsmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libcanvastoolsmxi.dylib
0x1d24f000 - 0x1d25ffeb +liblocaledata_en.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/liblocaledata_en.dylib
0x1d2c6000 - 0x1d2f4feb +sax.uno.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/sax.uno.dylib
0x1d70d000 - 0x1d717fff +i18nsearch.uno.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/i18nsearch.uno.dylib
0x1d71f000 - 0x1d725fff +libi18nregexpgcc3.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libi18nregexpgcc3.dylib
0x1d786000 - 0x1d7a8ffb +libucppkg1.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libucppkg1.dylib
0x1d9af000 - 0x1dd7afe3 +libxomxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libxomxi.dylib
0x1e5f4000 - 0x1e623fff +libspellmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libspellmxi.dylib
0x1e649000 - 0x1e654ffd +libhyphenmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libhyphenmxi.dylib
0x1e6ba000 - 0x1e6c5fff +liblnthmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/liblnthmxi.dylib
0x1e702000 - 0x1e786fcf +libxstor.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libxstor.dylib
0x1e7c9000 - 0x1ef83fef +libscmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libscmxi.dylib
0x1f5a5000 - 0x1faf8ffb +libsvxcoremxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libsvxcoremxi.dylib
0x200bb000 - 0x201fefe6 +libeditengmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libeditengmxi.dylib
0x2033f000 - 0x20530ffb +libsvxmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libsvxmxi.dylib
0x20730000 - 0x2080bffe +libdrawinglayermxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libdrawinglayermxi.dylib
0x208b4000 - 0x20905ffe +libcppcanvasmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libcppcanvasmxi.dylib
0x20952000 - 0x20998fe2 +libunoxmlmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libunoxmlmxi.dylib
0x20a16000 - 0x20a29ff7 +liblocaledata_es.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/liblocaledata_es.dylib
0x20c00000 - 0x20c71045 +liblocaledata_euro.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/liblocaledata_euro.dylib
0x20de3000 - 0x20e5ffc3 +liblocaledata_others.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/liblocaledata_others.dylib
0x21187000 - 0x2119dfff +libdatemxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libdatemxi.dylib
0x211a5000 - 0x211befff +introspection.uno.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/introspection.uno.dylib
0x21400000 - 0x21460ff3 +libanalysismxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libanalysismxi.dylib
0x214bb000 - 0x214fbfff +libxmlsecurity.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libxmlsecurity.dylib
0x21512000 - 0x2151cfff +libfileacc.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libfileacc.dylib
0x2154c000 - 0x2174afc7 +libfrmmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libfrmmxi.dylib
0x217ff000 - 0x21933fdf +libdbtoolsmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libdbtoolsmxi.dylib
0x21a8d000 - 0x21a95fff +libevtatt.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libevtatt.dylib
0x21cb4000 - 0x21d51fef +deploymentmxi.uno.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/deploymentmxi.uno.dylib
0x22290000 - 0x222e9ff3 +libfwlmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libfwlmxi.dylib
0x22600000 - 0x22661fc7 +libscuimxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libscuimxi.dylib
0x22792000 - 0x2288efe3 +PresenterScreen.uno.dylib ??? (???) /Applications/LibreOffice.app/Contents/share/extensions/presenter-screen/PresenterScreen.uno.dylib
0x237b0000 - 0x237fffcf +libucpchelp1.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libucpchelp1.dylib
0x23e94000 - 0x240c6fc7 +libscfiltmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libscfiltmxi.dylib
0x25400000 - 0x256eefef +libooxmxi.dylib ??? (???) /Applications/LibreOffice.app/Contents/basis-link/program/libooxmxi.dylib
0x8fe00000 - 0x8fe2db43  dyld 97.1 (???) <458eed38a009e5658a79579e7bc26603> /usr/lib/dyld
0x90003000 - 0x9002efe7  libauto.dylib ??? (???) <2e44c523b851e8e25f05d13a48070a58> /usr/lib/libauto.dylib
0x90061000 - 0x90701fff  com.apple.CoreGraphics 1.409.6 (???) <572a4bdefeabf73e1d7f96cbfe46bb60> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x90702000 - 0x90712fff  com.apple.speech.synthesis.framework 3.7.1 (3.7.1) <273d96ff861dc68be659c07ef56f599a> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x90713000 - 0x90715fff  com.apple.securityhi 3.0 (30817) <b3517782ad664a21e4fd60242e92723e> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x90716000 - 0x90755fef  libTIFF.dylib ??? (???) <0437eac77e4e874f566ec4219ad1b249> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x90b3f000 - 0x90b49feb  com.apple.audio.SoundManager 3.9.2 (3.9.2) <df077a8048afc3075c6f2d9e7780e78e> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x90b4a000 - 0x90c11ff2  com.apple.vImage 3.0 (3.0) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x90c12000 - 0x90c16fff  libGIF.dylib ??? (???) <0984073a08c59c7c6be81e52cebf2bec> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x90c17000 - 0x90c17ffd  com.apple.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x90c86000 - 0x90d0dff7  libsqlite3.0.dylib ??? (???) <3334ea5af7a911637413334154bb4100> /usr/lib/libsqlite3.0.dylib
0x90d0e000 - 0x90d48fe7  com.apple.coreui 1.2 (62) /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x90e0b000 - 0x90e12ff7  libCGATS.A.dylib ??? (???) <c1163cbfe15d84f17076245f25094567> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x90e13000 - 0x90fa2fe7  com.apple.CoreAUC 3.08.0 (3.08.0) <9043e2896f6c99d96932ff86fc5142a7> /System/Library/PrivateFrameworks/CoreAUC.framework/Versions/A/CoreAUC
0x90fa3000 - 0x91083fff  libobjc.A.dylib ??? (???) <400e943f9e8a678eea22a1d1205490ee> /usr/lib/libobjc.A.dylib
0x91084000 - 0x910a8feb  libssl.0.9.7.dylib ??? (???) <5b29af782be5894be8b336c9c73c18b6> /usr/lib/libssl.0.9.7.dylib
0x910a9000 - 0x910affff  com.apple.print.framework.Print 218.0.3 (220.2) <5b7f4ef7c2df36aff9605377775781e4> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x91100000 - 0x91193fff  com.apple.ink.framework 101.3 (86) <d4c85b5cafa8027fff042b84a8be71dc> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x911c9000 - 0x91253ff7  com.apple.DesktopServices 1.4.9 (1.4.9) <f5e51a76d315798371b3dd35a4d46d6c> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x91254000 - 0x9152eff3  com.apple.CoreServices.CarbonCore 786.16 (786.16) <60b518e4ad02b91826240199a6311286> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x9152f000 - 0x918edfea  libLAPACK.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x91929000 - 0x91941fff  com.apple.openscripting 1.2.8 (???) <0129d2f750f5ddcb92f4acf8a3541952> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x9194c000 - 0x9198efef  com.apple.NavigationServices 3.5.2 (163) <72cdc9d21f6690837870923e7b8ca358> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x9198f000 - 0x9198fff8  com.apple.ApplicationServices 34 (34) <ee7bdf593da050bb30c7a1fc446eb8a6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x91990000 - 0x91990ff8  com.apple.Cocoa 6.5 (???) <a1bc9247cf65c20f1a44d0973cbe649c> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x91991000 - 0x91991ffc  com.apple.audio.units.AudioUnit 1.5 (1.5) /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x919d4000 - 0x91a2eff7  com.apple.CoreText 2.0.4 (???) <f0b6c1d4f40bd21505097f0255abfead> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x91a2f000 - 0x91a8bff7  com.apple.htmlrendering 68 (1.1.3) <1c5c0c417891b920dfe139385fc6c155> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x91ac1000 - 0x91ae5fff  libxslt.1.dylib ??? (???) <6a58a8724941e8a0cfeb0cae28ea3f37> /usr/lib/libxslt.1.dylib
0x91b4d000 - 0x91bcafef  libvMisc.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x91bcb000 - 0x91bd2ffe  libbsm.dylib ??? (???) <fa7ae5f1a621d9b69e7e18747c9405fb> /usr/lib/libbsm.dylib
0x91c06000 - 0x91c85ff5  com.apple.SearchKit 1.2.2 (1.2.2) <3b5f3ab6a363a4d8a2bbbf74213ab0e5> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x91c86000 - 0x91c93fe7  com.apple.opengl 1.5.10 (1.5.10) <5a2813f80c9441170cc1ab8a3dac5038> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x91c94000 - 0x91cf1ffb  libstdc++.6.dylib ??? (???) <f75e5133d72769de5ce6c06153fc65f6> /usr/lib/libstdc++.6.dylib
0x91cf2000 - 0x91d1ffeb  libvDSP.dylib ??? (???) <4daafed78a471133ec30b3ae634b6d3e> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x91d20000 - 0x91d20ffd  com.apple.Accelerate 1.4.2 (Accelerate 1.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x91d21000 - 0x91d29fff  com.apple.DiskArbitration 2.2.1 (2.2.1) <2664eeb3a4d0c95a21c089892a0ae8d0> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x91d75000 - 0x92112fef  com.apple.QuartzCore 1.5.8 (1.5.8) <a28fa54346a9f9d5b3bef076a1ee0fcf> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x92113000 - 0x9212fff3  com.apple.CoreVideo 1.6.1 (48.6) <f1837beeefc81964abf7b58075edea2f> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x92130000 - 0x92159fff  libcups.2.dylib ??? (???) <9f900b075e5c7c4820aa24e974cf99f0> /usr/lib/libcups.2.dylib
0x9215a000 - 0x921feff7  com.apple.QuickTimeImporters.component 7.6.6 (1674) /System/Library/QuickTime/QuickTimeImporters.component/Contents/MacOS/QuickTimeImporters
0x921ff000 - 0x922b1ffb  libcrypto.0.9.7.dylib ??? (???) <d02f7e5b8a68813bb7a77f5edb34ff9d> /usr/lib/libcrypto.0.9.7.dylib
0x922b2000 - 0x9239aff3  com.apple.CoreData 100.2 (186.2) <44df326fea0236718f5ed64084e82270> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x9239b000 - 0x923ecff7  com.apple.HIServices 1.7.1 (???) <ba7fd0ede540a0da08db027f87efbd60> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x923ed000 - 0x923f9ff9  com.apple.helpdata 1.0.1 (14.2) /System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData
0x923fa000 - 0x92438fff  libGLImage.dylib ??? (???) <a6425aeb77f4da13212ac75df57b056d> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x9243a000 - 0x924e1fec  com.apple.CFNetwork 438.14 (438.14) <1b84042a2846b1d91a89157acc997e70> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x926c4000 - 0x92705fe7  libRIP.A.dylib ??? (???) <c2654681db8115c8320d9ac04c8835f2> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x9283f000 - 0x92c4ffef  libBLAS.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x92c50000 - 0x92c78ff7  com.apple.shortcut 1.0.1 (1.0) <131202e7766e327d02d55c0f5fc44ad7> /System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut
0x92e36000 - 0x92f6fff7  libicucore.A.dylib ??? (???) <f2819243b278259b9a622ea111ea5fd6> /usr/lib/libicucore.A.dylib
0x92f70000 - 0x92f70ffb  com.apple.installserver.framework 1.0 (8) /System/Library/PrivateFrameworks/InstallServer.framework/Versions/A/InstallServer
0x92fa8000 - 0x92faffe9  libgcc_s.1.dylib ??? (???) <e280ddf3f5fb3049e674edcb109f389a> /usr/lib/libgcc_s.1.dylib
0x92fb0000 - 0x93009ff7  libGLU.dylib ??? (???) <a3b9be30100a25a6cd3ad109892f52b7> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x9300a000 - 0x93013fff  com.apple.speech.recognition.framework 3.7.24 (3.7.24) <da2d8411921a3fd8bc898dc753b7f3ee> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x93014000 - 0x93166ff3  com.apple.audio.toolbox.AudioToolbox 1.5.3 (1.5.3) /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x93317000 - 0x93317ffd  com.apple.Accelerate.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x93429000 - 0x94328fe6  com.apple.QuickTimeComponents.component 7.6.6 (1674) /System/Library/QuickTime/QuickTimeComponents.component/Contents/MacOS/QuickTimeComponents
0x94329000 - 0x943b6ff7  com.apple.LaunchServices 292 (292) <a41286c7c1eb20ffd5cc796f791070f0> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x943b7000 - 0x943ccffb  com.apple.ImageCapture 5.0.2 (5.0.2) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x943dd000 - 0x9446aff7  com.apple.framework.IOKit 1.5.2 (???) <7a3cc24f78f93931731203854ae0d891> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x9446b000 - 0x94470fff  com.apple.CommonPanels 1.2.4 (85) <c135f02edd6b2e2864311e0b9d08a98d> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x94471000 - 0x94942fbe  libGLProgrammability.dylib ??? (???) <7f18294a7bd0b6afe4319f29187fc70d> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x94943000 - 0x94aaaff3  libSystem.B.dylib ??? (???) <c8f52e158bf540cc000146ca8a705958> /usr/lib/libSystem.B.dylib
0x94ab0000 - 0x94ab1ffc  libffi.dylib ??? (???) <eaf10b99a3fbc4920b175809407466c0> /usr/lib/libffi.dylib
0x94ac2000 - 0x94ba3ff7  libxml2.2.dylib ??? (???) <b3bc0b280c36aa17ac477b4da56cd038> /usr/lib/libxml2.2.dylib
0x94ba4000 - 0x94bb4ffc  com.apple.LangAnalysis 1.6.5 (1.6.5) <d057feb38163121ffd871c564c692804> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x94bb5000 - 0x94bd4ffa  libJPEG.dylib ??? (???) <38a243000d3abefeb9ff97e4657538a4> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x94bd5000 - 0x94bd7ff5  libRadiance.dylib ??? (???) <97ff039f6d372ab58a684a0e311e4ed4> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x94cbb000 - 0x94d04fef  com.apple.Metadata 10.5.8 (398.26) <e4d268ea45379200f03cdc7c8bedae6f> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x94d0a000 - 0x94dd5fef  com.apple.ColorSync 4.5.3 (4.5.3) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x94dd6000 - 0x94e50ff8  com.apple.print.framework.PrintCore 5.5.4 (245.6) <03d0585059c20cb0bde5e000438c49e1> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x94e51000 - 0x94e55fff  libmathCommon.A.dylib ??? (???) /usr/lib/system/libmathCommon.A.dylib
0x94e56000 - 0x94e61fe7  libCSync.A.dylib ??? (???) <8ddd66638d4c34e5611916c35f89ca8d> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x9520c000 - 0x952b3feb  com.apple.QD 3.11.57 (???) <35f058678972d42b88ebdf652df79956> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x952b4000 - 0x952ebfff  com.apple.SystemConfiguration 1.9.2 (1.9.2) <eab546255ac099b9616df999c9359d0e> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x952ec000 - 0x95aeafef  com.apple.AppKit 6.5.9 (949.54) <4df5d2e2271175452103f789b4f4d8a8> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x95aeb000 - 0x95cbcff3  com.apple.security 5.0.6 (37592) <f1a8272a82bd88ecbacc694963fc2f48> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x95cbd000 - 0x95d3afeb  com.apple.audio.CoreAudio 3.1.2 (3.1.2) <782a08c44be4698597f4bbd79cac21c6> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x95d7c000 - 0x960a7ff6  com.apple.QuickTime 7.6.6 (1674) <3ebc05dcaf5857bc3d33a04ebabf5c1a> /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x960a8000 - 0x96324fe7  com.apple.Foundation 6.5.9 (677.26) <c68b3cff7864959becfc7fd1a384f925> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x96325000 - 0x96333ffd  libz.1.dylib ??? (???) <a98b3b221a72b54faf73ded3dd7000e5> /usr/lib/libz.1.dylib
0x96437000 - 0x9652bff4  libiconv.2.dylib ??? (???) <96ff4c6f84c4a1623cb78287371cdd3f> /usr/lib/libiconv.2.dylib
0x9652c000 - 0x96533fff  com.apple.agl 3.0.9 (AGL-3.0.9) <bc62de7d16827bd12a2cb1016aedfcdc> /System/Library/Frameworks/AGL.framework/Versions/A/AGL
0x9702e000 - 0x97161fe7  com.apple.CoreFoundation 6.5.7 (476.19) <a332c8f45529ee26d2e9c36d0c723bad> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x97162000 - 0x9746afe7  com.apple.HIToolbox 1.5.6 (???) <eece3cb8aa0a4e6843fcc1500aca61c5> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x9746b000 - 0x9749afe3  com.apple.AE 402.3 (402.3) <b13bfda0ad9314922ee37c0d018d7de9> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x974af000 - 0x975f7ff7  com.apple.ImageIO.framework 2.0.7 (2.0.7) <2a585e8223b98b77e0d7d566770b98fd> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x97779000 - 0x97829fff  edu.mit.Kerberos 6.0.14 (6.0.14) <673f107cdae80c084774a27bc7bc46c1> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x9782a000 - 0x97840fff  com.apple.DictionaryServices 1.0.0 (1.0.0) <7d20b8d1fb238c3e71d0fa6fda18c4f7> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x97c55000 - 0x97ce8ff3  com.apple.ApplicationServices.ATS 238.14.1 (???) <c9ab7144b2243d0f0f9cd3e264456a6a> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x97ce9000 - 0x97da4fe3  com.apple.CoreServices.OSServices 228.1 (228.1) <3cb50cfcebbb291797b32cb7c2677f87> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x97da5000 - 0x97da5ffa  com.apple.CoreServices 32 (32) <373d6a888f9204641f313bc6070ae065> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x97da6000 - 0x97dc4fff  libresolv.9.dylib ??? (???) <9ed809256ce8913cddc3269c2e364654> /usr/lib/libresolv.9.dylib
0x97e41000 - 0x97e41fff  com.apple.Carbon 136 (136) <eb3c292d5544512f86e1e4e743c23f8e> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x97e42000 - 0x97e45fff  com.apple.help 1.1 (36) <1a25a8fbb49a830efb31d5c0a52939cd> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x97e46000 - 0x97e62ff3  libPng.dylib ??? (???) <d37524fe884aa164ab7db93d4c803b64> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x97e63000 - 0x97e6fffe  libGL.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0xfffe8000 - 0xfffebfff  libobjc.A.dylib ??? (???) /usr/lib/libobjc.A.dylib
0xffff0000 - 0xffff1780  libSystem.B.dylib ??? (???) /usr/lib/libSystem.B.dylib
---
Comment 1 Alex Thurgood 2010-11-18 03:45:52 UTC
Can not reproduce on Mac OSX SnowLeopard (10.6.5) with LibO beta 3, although it could be specific to Leopard (10.5.x).

If the problem still occurs on your Leopard box with beta 3, please re-open.


SETTING RESOLVED WORKSFORME

Alex
Comment 2 pneukom 2010-11-24 12:53:02 UTC
I've been testing the most recent build which I think is LibreOffice 3.3.0 | 
OOO330m12 (Build:1) | libreoffice-build 3.2.99.3

I still get the same behaviour on OSX 10.5.8.  If I have been using Text Docs and Calc spreadsheets and then close all documents, then quit, LO crashes.
Comment 3 Yifan Jiang 2010-11-24 22:33:09 UTC
Hello, pneukom

Would you help to attach the ods you were working on? That could be helpful for us to reproduce it.

You mentioned the crash happens after working over 1 hr, is that the only scenario to reproduce it? Or simply open the file and exit will cause the crash?

Thanks for providing more information.
Comment 4 Yifan Jiang 2010-11-24 22:35:07 UTC
Hi Thorsten,

Not sure if there is something interesting in the log? Thanks for reviewing

P.S
There was recently an exit crash on Windows, maybe not related, just FYI:
https://bugs.freedesktop.org/show_bug.cgi?id=31494
Comment 5 Alex Thurgood 2010-11-25 13:01:12 UTC
I have a feeling this might be particular to Leopard 10.5.x, because I don't see this behaviour on my SnowLeopard 10.6.5. I can work with a fairly large spreadsheet all day, close it with Cmd-Q and the app doesn't crash.


Alex
Comment 6 pneukom 2010-11-25 13:24:11 UTC
A quick follow-up.

I tried a number of different things trying to narrow this down.
1) Work in a new spreadsheet (only 1 open) for > 1 hr. Close. Quit. OK
2) Work in a spreadsheet and also open & close word processor docs.  Close both docs, save, quit.  OK

I've noticed that it happens with more than 1 spreadsheet so supplying the specific spreadsheet that I mentioned before doesn't do it.

Later today (6 hrs later), I started copying and pasting data from various websites into LO Calc.  This is where it started to get weird.  

I've been using iClipboard to copy multiple pieces of data from various sources and then paste them all into different cells in a ods spreadsheet.  I noticed that sometimes iClipboard gets confused and regardless of what item I want to paste from the list, it always pastes exactly the same item.  If I do the same paste operation into Textwrangler (as an example), iClipboard pastes the correct thing.  So I decided to delete iClipboard and try opensource Jumpcut.  I thought it would maybe be better.

Today I just used Jumpcut to capture multiple items into the clipboard buffer.  Then after a time, I started to get exactly the same problem as with iClipboard.  It didn't matter what item from the list that I wanted to paste.  The only item that was pasted into LO was the last copied item.  If I tried to paste any item into Textwrangler it was OK.  As soon as I pasted something into Textwrangler, the paste operation in LO was OK.

Now I quit LO and it crashed.

So I think that the crash has something to do with the pasteboard/clipboard getting corrupted.  

I'll try this again tomorrow and see if I can get this down to a specific list of actions to reproduce.
Comment 7 Thorsten Behrens (CIB) 2010-11-26 13:26:22 UTC
Yes, the crash backtrace indeed looks like clipboard code. I *suspect* it's remnant calc clipboard content not properly disposed off / disposed under race conditions on app exit. Any further narrowing down of the necessary ingredients for this case much appreciated.
Comment 8 Thorsten Behrens (CIB) 2010-11-26 13:30:02 UTC
*** Bug 31096 has been marked as a duplicate of this bug. ***
Comment 9 Alex Thurgood 2010-12-20 00:51:52 UTC
@Thorsten:

I seem to recall that there was an old issue with OOo that caused memory leak and crashing when pasting data from clipboard taken from HTML pages.

Alex
Comment 10 bunkem 2011-01-19 12:49:37 UTC
I've continued to try to get a specific set of actions to recreate.

But, I've noticed that since LibO 3.3.0 RC2 & now RC3, the problem has gone away.

Thanks.
Comment 11 Thorsten Behrens (CIB) 2011-01-26 03:08:19 UTC
Closing then - please re-open should this happen again.
Comment 12 Uwe Altmann 2011-01-26 04:05:03 UTC
Using MacBook Pro, OS 10.6.6. and LO 3.3. (no RC):
 Start Program
 Open calc sheet (no,  I cannot publish it, working on a copy with no data :-) )
 do nothing
 Cmd-Q
 crash

Her's the result (dump deleted):

Process:         soffice [9384]
Path:            /Users/Shared/LibreOffice.app/Contents/MacOS/soffice
Identifier:      org.libreoffice.script
Version:         3.3.0 (???)
Code Type:       X86 (Native)
Parent Process:  launchd [237]

Date/Time:       2011-01-26 12:47:43.719 +0100
OS Version:      Mac OS X 10.6.6 (10J567)
Report Version:  6

Interval Since Last Report:          301040 sec
Crashes Since Last Report:           14
Per-App Interval Since Last Report:  204838 sec
Per-App Crashes Since Last Report:   6
Anonymous UUID:                      3D78A82F-6B0D-4805-ADC0-098E55BD0D25

Exception Type:  EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x0000000000000000
Crashed Thread:  3

Thread 0:  Dispatch queue: com.apple.main-thread
0   libSystem.B.dylib             	0x998a6d69 pthread_mutex_unlock + 12
1   libuno_sal.dylib.3            	0x0000a985 osl_releaseMutex + 21
2   libuno_cppu.dylib.3           	0x005368b9 typelib_typedescription_release + 293
3   libuno_cppu.dylib.3           	0x005372c3 TypeDescriptor_Init_Impl::~TypeDescriptor_Init_Impl() + 301
4   libuno_cppu.dylib.3           	0x0053738b TypeDescriptor_Init_Impl::~TypeDescriptor_Init_Impl() + 17
5   libuno_cppu.dylib.3           	0x005373a9 __tcf_0 + 27
6   libSystem.B.dylib             	0x998c01ff __cxa_finalize + 208
7   libSystem.B.dylib             	0x998c0114 exit + 33
8   com.apple.AppKit              	0x9332d48a -[NSApplication terminate:] + 1056
9   com.apple.AppKit              	0x93132c46 -[NSApplication sendAction:to:from:] + 112
10  com.apple.AppKit              	0x93132af9 -[NSMenuItem _corePerformAction] + 435
11  com.apple.AppKit              	0x931327eb -[NSCarbonMenuImpl performActionWithHighlightingForItemAtIndex:] + 174
12  com.apple.AppKit              	0x9322e403 -[NSMenu _performActionWithHighlightingForItemAtIndex:] + 49
13  com.apple.AppKit              	0x9322dbaf -[NSMenu performKeyEquivalent:] + 314
14  libvclmxi.dylib               	0x01b8b962 -[VCL_NSApplication sendEvent:] + 930
15  libvclmxi.dylib               	0x01b86c05 AquaSalInstance::Yield(bool, bool) + 1237
16  libvclmxi.dylib               	0x01898b90 Application::Yield(bool) + 96
17  libvclmxi.dylib               	0x01898c91 Application::Execute() + 97
18  libsofficeapp.dylib           	0x001fc037 desktop::Desktop::Main() + 3975
19  libvclmxi.dylib               	0x0189fe28 ImplSVMain() + 392
20  libvclmxi.dylib               	0x01b8618b AquaSalInstance::handleAppDefinedEvent(NSEvent*) + 75
21  libvclmxi.dylib               	0x01b8b6fb -[VCL_NSApplication sendEvent:] + 315
22  com.apple.AppKit              	0x930b62a7 -[NSApplication run] + 917
23  com.apple.AppKit              	0x930ae2d9 NSApplicationMain + 574
24  libvclmxi.dylib               	0x01b86fa7 ImplSVMainHook(unsigned char*) + 343
25  libvclmxi.dylib               	0x0189fed1 SVMain() + 17
26  libsofficeapp.dylib           	0x0022988a soffice_main + 170
27  org.libreoffice.script        	0x00001ebe main + 30
28  org.libreoffice.script        	0x00001822 _start + 216
29  org.libreoffice.script        	0x00001749 start + 41

Thread 1:  Dispatch queue: com.apple.libdispatch-manager
0   libSystem.B.dylib             	0x998c7982 kevent + 10
1   libSystem.B.dylib             	0x998c809c _dispatch_mgr_invoke + 215
2   libSystem.B.dylib             	0x998c7559 _dispatch_queue_invoke + 163
3   libSystem.B.dylib             	0x998c72fe _dispatch_worker_thread2 + 240
4   libSystem.B.dylib             	0x998c6d81 _pthread_wqthread + 390
5   libSystem.B.dylib             	0x998c6bc6 start_wqthread + 30

Thread 2:  com.apple.CFSocket.private
0   libSystem.B.dylib             	0x998c00c6 select$DARWIN_EXTSN + 10
1   com.apple.CoreFoundation      	0x92818c83 __CFSocketManager + 1091
2   libSystem.B.dylib             	0x998ce85d _pthread_start + 345
3   libSystem.B.dylib             	0x998ce6e2 thread_start + 34

Thread 3 Crashed:
0   ???                           	0000000000 0 + 0
1   configmgr.uno.dylib           	0x10a17d01 configmgr::writeModFile(configmgr::Components&, rtl::OUString const&, configmgr::Data const&) + 817
2   configmgr.uno.dylib           	0x109f2f34 configmgr::Components::WriteThread::run() + 84
3   libsfxmxi.dylib               	0x006496c2 threadFunc + 18
4   libuno_sal.dylib.3            	0x0000bb89 osl_thread_start_Impl + 281
5   libSystem.B.dylib             	0x998ce85d _pthread_start + 345
6   libSystem.B.dylib             	0x998ce6e2 thread_start + 34

Thread 3 crashed with X86 Thread State (32-bit):
  eax: 0x03662b60  ebx: 0x10a175c1  ecx: 0x03662b64  edx: 0x03662561
  edi: 0x041dbca0  esi: 0xb0184e14  ebp: 0xb0184e38  esp: 0xb0184dcc
   ss: 0x0000001f  efl: 0x00010202  eip: 0x00000000   cs: 0x00000017
   ds: 0x0000001f   es: 0x0000001f   fs: 0x0000001f   gs: 0x00000037
  cr2: 0x00000000
Comment 13 Alex Thurgood 2011-02-03 06:36:29 UTC
Hi all,

Still can't reproduce crash here on Mac OSX 10.6.6 with LibO 3.3 final. The app just exits gracefully and disappears from the dock as it should.


Alex
Comment 14 Uwe Altmann 2011-02-03 07:50:43 UTC
With me, LO/calc still crashes every time I quit the program:


Process:         soffice [8536]
Path:            /Users/Shared/LibreOffice.app/Contents/MacOS/soffice
Identifier:      org.libreoffice.script
Version:         3.3.0 (???)
Code Type:       X86 (Native)
Parent Process:  launchd [186]

Date/Time:       2011-02-03 16:42:40.824 +0100
OS Version:      Mac OS X 10.6.6 (10J567)
Report Version:  6

Interval Since Last Report:          232662 sec
Crashes Since Last Report:           15
Per-App Interval Since Last Report:  114548 sec
Per-App Crashes Since Last Report:   5
Anonymous UUID:                      3D78A82F-6B0D-4805-ADC0-098E55BD0D25

Exception Type:  EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x0000000000000004
Crashed Thread:  3

Thread 0:  Dispatch queue: com.apple.main-thread
0   configmgr.uno.dylib           	0x1084b5c3 std::_Rb_tree<rtl::OUString, std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> >, std::_Select1st<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >, std::less<rtl::OUString>, std::allocator<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > > >::_M_erase(std::_Rb_tree_node<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >*) + 35
1   configmgr.uno.dylib           	0x1084b5d5 std::_Rb_tree<rtl::OUString, std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> >, std::_Select1st<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >, std::less<rtl::OUString>, std::allocator<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > > >::_M_erase(std::_Rb_tree_node<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >*) + 53
2   configmgr.uno.dylib           	0x1084b5d5 std::_Rb_tree<rtl::OUString, std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> >, std::_Select1st<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >, std::less<rtl::OUString>, std::allocator<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > > >::_M_erase(std::_Rb_tree_node<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >*) + 53
3   configmgr.uno.dylib           	0x1084b5d5 std::_Rb_tree<rtl::OUString, std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> >, std::_Select1st<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >, std::less<rtl::OUString>, std::allocator<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > > >::_M_erase(std::_Rb_tree_node<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >*) + 53
4   configmgr.uno.dylib           	0x1084b5d5 std::_Rb_tree<rtl::OUString, std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> >, std::_Select1st<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >, std::less<rtl::OUString>, std::allocator<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > > >::_M_erase(std::_Rb_tree_node<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >*) + 53
5   configmgr.uno.dylib           	0x1084b5d5 std::_Rb_tree<rtl::OUString, std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> >, std::_Select1st<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >, std::less<rtl::OUString>, std::allocator<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > > >::_M_erase(std::_Rb_tree_node<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >*) + 53
6   configmgr.uno.dylib           	0x1084b5d5 std::_Rb_tree<rtl::OUString, std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> >, std::_Select1st<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >, std::less<rtl::OUString>, std::allocator<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > > >::_M_erase(std::_Rb_tree_node<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >*) + 53
7   configmgr.uno.dylib           	0x1085fced configmgr::SetNode::~SetNode() + 61
8   configmgr.uno.dylib           	0x1084b5ff std::_Rb_tree<rtl::OUString, std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> >, std::_Select1st<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >, std::less<rtl::OUString>, std::allocator<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > > >::_M_erase(std::_Rb_tree_node<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >*) + 95
9   configmgr.uno.dylib           	0x1085fced configmgr::SetNode::~SetNode() + 61
10  configmgr.uno.dylib           	0x1084b5ff std::_Rb_tree<rtl::OUString, std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> >, std::_Select1st<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >, std::less<rtl::OUString>, std::allocator<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > > >::_M_erase(std::_Rb_tree_node<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >*) + 95
11  configmgr.uno.dylib           	0x1085836d configmgr::GroupNode::~GroupNode() + 61
12  configmgr.uno.dylib           	0x1084b5ff std::_Rb_tree<rtl::OUString, std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> >, std::_Select1st<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >, std::less<rtl::OUString>, std::allocator<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > > >::_M_erase(std::_Rb_tree_node<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >*) + 95
13  configmgr.uno.dylib           	0x1084b5d5 std::_Rb_tree<rtl::OUString, std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> >, std::_Select1st<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >, std::less<rtl::OUString>, std::allocator<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > > >::_M_erase(std::_Rb_tree_node<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >*) + 53
14  configmgr.uno.dylib           	0x1084b5d5 std::_Rb_tree<rtl::OUString, std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> >, std::_Select1st<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >, std::less<rtl::OUString>, std::allocator<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > > >::_M_erase(std::_Rb_tree_node<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >*) + 53
15  configmgr.uno.dylib           	0x1084b5d5 std::_Rb_tree<rtl::OUString, std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> >, std::_Select1st<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >, std::less<rtl::OUString>, std::allocator<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > > >::_M_erase(std::_Rb_tree_node<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >*) + 53
16  configmgr.uno.dylib           	0x1084b5d5 std::_Rb_tree<rtl::OUString, std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> >, std::_Select1st<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >, std::less<rtl::OUString>, std::allocator<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > > >::_M_erase(std::_Rb_tree_node<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >*) + 53
17  configmgr.uno.dylib           	0x1084b5d5 std::_Rb_tree<rtl::OUString, std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> >, std::_Select1st<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >, std::less<rtl::OUString>, std::allocator<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > > >::_M_erase(std::_Rb_tree_node<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >*) + 53
18  configmgr.uno.dylib           	0x1084b5d5 std::_Rb_tree<rtl::OUString, std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> >, std::_Select1st<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >, std::less<rtl::OUString>, std::allocator<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > > >::_M_erase(std::_Rb_tree_node<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >*) + 53
19  configmgr.uno.dylib           	0x1084750d configmgr::Components::~Components() + 173
20  libSystem.B.dylib             	0x998c01ff __cxa_finalize + 208
21  libSystem.B.dylib             	0x998c0114 exit + 33
22  com.apple.AppKit              	0x930ae383 NSApplicationMain + 744
23  libvclmxi.dylib               	0x01b86fa7 ImplSVMainHook(unsigned char*) + 343
24  libvclmxi.dylib               	0x0189fed1 SVMain() + 17
25  libsofficeapp.dylib           	0x0022988a soffice_main + 170
26  org.libreoffice.script        	0x00001ebe main + 30
27  org.libreoffice.script        	0x00001822 _start + 216
28  org.libreoffice.script        	0x00001749 start + 41

Thread 1:
0   libSystem.B.dylib             	0x998a115a semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib             	0x998cece5 _pthread_cond_wait + 1066
2   libSystem.B.dylib             	0x9991767c pthread_cond_timedwait + 47
3   libuno_sal.dylib.3            	0x00035118 rtl_cache_wsupdate_all + 280
4   libSystem.B.dylib             	0x998ce85d _pthread_start + 345
5   libSystem.B.dylib             	0x998ce6e2 thread_start + 34

Thread 2:  Dispatch queue: com.apple.libdispatch-manager
0   libSystem.B.dylib             	0x998c7982 kevent + 10
1   libSystem.B.dylib             	0x998c809c _dispatch_mgr_invoke + 215
2   libSystem.B.dylib             	0x998c7559 _dispatch_queue_invoke + 163
3   libSystem.B.dylib             	0x998c72fe _dispatch_worker_thread2 + 240
4   libSystem.B.dylib             	0x998c6d81 _pthread_wqthread + 390
5   libSystem.B.dylib             	0x998c6bc6 start_wqthread + 30

Thread 3 Crashed:
0   configmgr.uno.dylib           	0x10838463 std::_Rb_tree<rtl::OUString, std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> >, std::_Select1st<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >, std::less<rtl::OUString>, std::allocator<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > > >::find(rtl::OUString const&) + 51
1   configmgr.uno.dylib           	0x10859c97 configmgr::Node::getMember(rtl::OUString const&) + 39
2   configmgr.uno.dylib           	0x1086b790 configmgr::(anonymous namespace)::writeModifications(configmgr::Components&, void*, rtl::OUString const&, rtl::Reference<configmgr::Node> const&, rtl::OUString const&, rtl::Reference<configmgr::Node> const&, configmgr::Modifications::Node const&) + 480
3   configmgr.uno.dylib           	0x1086b7c5 configmgr::(anonymous namespace)::writeModifications(configmgr::Components&, void*, rtl::OUString const&, rtl::Reference<configmgr::Node> const&, rtl::OUString const&, rtl::Reference<configmgr::Node> const&, configmgr::Modifications::Node const&) + 533
4   configmgr.uno.dylib           	0x1086b7c5 configmgr::(anonymous namespace)::writeModifications(configmgr::Components&, void*, rtl::OUString const&, rtl::Reference<configmgr::Node> const&, rtl::OUString const&, rtl::Reference<configmgr::Node> const&, configmgr::Modifications::Node const&) + 533
5   configmgr.uno.dylib           	0x1086bd01 configmgr::writeModFile(configmgr::Components&, rtl::OUString const&, configmgr::Data const&) + 817
6   configmgr.uno.dylib           	0x10846f34 configmgr::Components::WriteThread::run() + 84
7   libsfxmxi.dylib               	0x006496c2 threadFunc + 18
8   libuno_sal.dylib.3            	0x0000bb89 osl_thread_start_Impl + 281
9   libSystem.B.dylib             	0x998ce85d _pthread_start + 345
10  libSystem.B.dylib             	0x998ce6e2 thread_start + 34

Thread 3 crashed with X86 Thread State (32-bit):
  eax: 0x00000000  ebx: 0x1086b5c1  ecx: 0x0e22524c  edx: 0x1115633c
  edi: 0x04135bf8  esi: 0x04135c50  ebp: 0xb0184cc8  esp: 0xb0184ca0
   ss: 0x0000001f  efl: 0x00010206  eip: 0x10838463   cs: 0x00000017
   ds: 0x0000001f   es: 0x0000001f   fs: 0x0000001f   gs: 0x00000037
  cr2: 0x00000004
Comment 15 Joris Muller 2011-04-30 03:46:25 UTC
I have the same issue. 
I found a way to reproduce it : It happen if I copy/past something in the calc doc and save it. If I copy/past and don't save It crash too.

I tried this too :
- Creating a new Calc Document, saving and quit : No crash
- Re-open this doc and quit : No crash
- Open a complex calc doc (with formules, severals sheets…) : No crash

I attach the crash log.

Hope this message could help.
Comment 16 Joris Muller 2011-04-30 03:49:35 UTC
Created attachment 46188 [details]
Crash log when copy/past and quit in Calc

Libo 3.4.0ß3 crash when quit Calc in MacOs I found a way to reproduce it : It happen if I copy/past something in the calc doc and save it. If I copy/past and don't save It crash too.
Comment 17 Florian Effenberger 2011-05-13 04:38:45 UTC
Occurs again since 3.4 beta1 for me, but not only in Calc, rather in all modules. Crash log attached.
Comment 18 Florian Effenberger 2011-05-13 04:39:03 UTC
Created attachment 46680 [details]
crash report
Comment 19 Joris Muller 2011-05-15 03:16:15 UTC
(In reply to comment #17)
> Occurs again since 3.4 beta1 for me, but not only in Calc, rather in all
> modules. Crash log attached.

I have the same crash on LibreOffice 3.4ß5 with MacOS 10.6.7 with all modules too. This bug don't affect Libreoffice 3.3.2.

I tried various way to reproduce the crash and discover that if I just copy-past, the app don't crash. To crash, I had to copy a text inside the doc, erase this text and pasting.
When I tried to reproduce several time (3 time), the bug disappear. I have to restart the computer and reproduce the followings steps to have the crash again.

Detailed steps that reproduce the crash:
0 - Restart the computer
1 - Start LO and Open a new text document.
2 - Type some text (for example : "Test").
3 - Select and copy this text (with shortcut command-c).
4 - Replace this text by Pasting.
5 - Close the doc (shortcut command-w), and select "ignore" when the app ask if you want to save.
6 - Quit LO (shortcut command-q). A crash-dialog appear.

Hope this could be help to find the bug.
Comment 20 Florian Effenberger 2011-05-15 03:19:44 UTC
The bug's title is WRONG.
For me, it sometimes even crashes when I
1. simply open LibO
2. see the start center
3. quit LibO, without doing anything else
Comment 21 Joris Muller 2011-05-15 10:39:07 UTC
(In reply to comment #20)
> For me, it sometimes even crashes when I
> 1. simply open LibO
> 2. see the start center
> 3. quit LibO, without doing anything else

I can not reproduce the crash following your instructions on my mac. I readed the crash report and we have a similar configuration. I tried just after these tests to copy-past something and it crash.
I change the title of the bug.

I tried :
- Open LibO, See start center, quit LibO via shortcut (command-c) : No crash
- Open LibO, See start center, quit LibO via menu (file -> quit) : No crash
- Open LibO, See start center, open a new document (I tried each kind of doc), quit LibO : No crash

(In reply to comment #19)
> Detailed steps that reproduce the crash:

It's quite strange because in the case I copy-past something, I don't have always a crash. For exemple I tried to reproduce exactly the steps I wrote just this morning several times and now it don't crash.

I'm not an informatics professional and I don't know how to help to track this bug. But if someone have an idea I will be happy to help.
Comment 22 Florian Effenberger 2011-05-19 03:07:45 UTC
Happens in RC1 as well :/
Comment 23 Florian Effenberger 2011-06-04 15:03:50 UTC
Seems to work with 3.4 final after profile reset.
Comment 24 Florian Effenberger 2011-06-05 05:42:02 UTC
My fault.
It *STILL* crashed on OS X 10.6 with LibO 3.4 final, even with a new profile.
I opened Calc and did some copy-paste, quit LibO, it took a few seconds (much longer than usual) to quit, and then it crashed. Maybe it's indeed related to c&p.
Comment 25 Italo Vignoli 2011-06-07 04:18:58 UTC
I confirm that the crash happens after cutting & pasting contents, even between two sheets of the same document. Actually, the document is saved correctly.
Comment 26 Rainer Bielefeld Retired 2011-06-10 02:58:40 UTC
RC2 is bit by bit identical with release version, so separate items in the version picker are useless. Changes have been discussed with Michael Meeks.
Comment 27 Caolán McNamara 2011-06-15 05:02:05 UTC
I think I see three bugs listed here now...

a) Comment #0 is some cut-and-paste bug

b) Comment #12 is configmgr::Components::WriteThread::run still active and running during shutdown 
   Comment #14 is the same as Comment #12

c) Comment #16 is a SbxHint::~SbxHint dtor during shutdown, which eventually calls probably into already destructed typeinfo. It *looks* like a SbxHint global object
   Comment #18 is the same as Comment #16

So, for..

a) I've no idea
b) all are from 3.3.0, and I believe we fixed that with fdo#31494 and with various follow up tweaks. Here's hoping anyway.
c) looks to me like a Global SbxHint whose dtor is called on app exit  automatically, but after typelib has gone away. I don't see any simple global SbxHints however under Linux. Someone with a mac would...
        c.1) ideally be able to reproduce this
        c.2) stick a breakpoint on SbxHint::SbxHint and SbxHint::~SbxHint to see which one is the crasher, and where it was initialized in the first place.
Comment 28 Florian Effenberger 2011-09-03 02:22:09 UTC
#0  0x0036773a in typelib_typedescriptionreference_getDescription ()
#1  0x0e1a78e6 in component_getFactory ()
#2  0x0e1abdff in component_getFactory ()
#3  0x0e1aecf5 in component_getFactory ()
#4  0x02001961 in SbUnoObject::doIntrospection ()
#5  0x02001fa8 in SbUnoObject::getUnoAny ()
#6  0x01fd8eb5 in StarBASIC::GetUNOConstant ()
#7  0x01fdc798 in DocBasicItem::stopListening ()
#8  0x01fdca6a in DocBasicItem::~DocBasicItem ()
#9  0x020c24c3 in SbxHint::~SbxHint ()
#10 0x9439d944 in __cxa_finalize ()
#11 0x9439d7f2 in exit ()
#12 0x9283d7ef in -[NSApplication terminate:] ()
#13 0x988d2901 in -[NSObject performSelector:withObject:] ()
#14 0x92941937 in -[NSApplication sendAction:to:from:] ()
#15 0x92a351a3 in -[NSMenuItem _corePerformAction] ()
#16 0x92a34e20 in -[NSCarbonMenuImpl performActionWithHighlightingForItemAtIndex:] ()
#17 0x92a344a9 in -[NSMenu _performActionWithHighlightingForItemAtIndex:sendAccessibilityNotification:] ()
#18 0x92a34455 in -[NSMenu _performActionWithHighlightingForItemAtIndex:] ()
#19 0x929adc43 in -[NSMenu performKeyEquivalent:] ()
#20 0x01a28ec2 in SalGetDesktopEnvironment ()
#21 0x01a24290 in SalGetDesktopEnvironment ()
#22 0x01718190 in Application::Yield ()
#23 0x0171827c in Application::Execute ()
#24 0x0006a785 in dyld_stub_write ()
#25 0x01720278 in DeInitVCL ()
#26 0x01a2382b in component_getFactory ()
#27 0x01a28c5b in SalGetDesktopEnvironment ()
#28 0x9283252b in -[NSApplication run] ()
#29 0x92ac5b54 in NSApplicationMain ()
#30 0x01a245b7 in SalGetDesktopEnvironment ()
#31 0x01720321 in SVMain ()
#32 0x00096f65 in soffice_main ()
#33 0x00001ebe in main ()
Comment 29 Caolán McNamara 2011-09-05 01:28:36 UTC
last trace is c) again.

#9  0x020c24c3 in SbxHint::~SbxHint ()
#10 0x9439d944 in __cxa_finalize ()

suggests the destruction of a (global)/(local static) SbxHint, but looking through http://opengrok.libreoffice.org/search?q=SbxHint&project=core I don't see any possible global SbxHints created which would account for it.

Which means someone on mac that can reproduce this needs to build with debugging symbols enabled and breakpoint on

SbxHint::SbxHint
and
SbxHint::~SbxHint
and finding the matching SbxHint::SbxHint where the this is the same as the this of the SbxHint::~SbxHint which crashes
Comment 30 Florian Effenberger 2011-09-05 04:32:56 UTC
I have a Mac, but my building experience tends to zero. :) If anyone can instruct me how to do things, I am happy to help - but maybe it is much faster if a routined developer with knowledge does it :)
Comment 31 Stephan Bergmann 2011-09-05 23:31:13 UTC
Re (c) from Comment 27, I have a build of recent git libreoffice/core on Mac OS X 10.6 now, but cannot reproduce a crash (with the recipes from Comment 19 etc.).  With a breakpoint in exit(), I cannot observe a call to SfxHint::~SfxHint() afterwards.
Comment 32 Caolán McNamara 2011-09-06 01:41:23 UTC
I wonder if http://cgit.freedesktop.org/libreoffice/core/commit/?id=f69f2d0e52b36f8187efbdd7b92e8703daa2c28b is/was the fix for this.

http://cgit.freedesktop.org/libreoffice/libs-core/commit/?id=eecd2e5aef2b1fd9db05d49911b3d9e0c35efed0 says that was backported to the 3-4 series.

caolanm->floeff: what version crashes exactly ?
Comment 33 Florian Effenberger 2011-09-06 02:05:02 UTC
I use LibreOffice 3.4.3, OOO340m1 (Build:302). German OS X 10.7.1, German LibO langpack. Had the crash also with OS X 10.6.
IIRC, the crash had been in 3.3.x and was fixed in one of those releases, but re-introduced to 3.4

To reproduce the crash, simply open Calc, type something, copy&paste that to the next cell, and exit. Crash (w/o data loss).
Comment 34 Stephan Bergmann 2011-09-06 23:56:33 UTC
I still cannot reproduce this.  Tried with LibreOffice 3.4.3, OOO340m1 (Build:302) now, and even also installed the German lang pack.
Comment 35 Florian Effenberger 2011-09-07 01:05:53 UTC
Which OS X version are you using?
I run 10.7, upgraded from 10.6, upgraded from 10.5 - maybe the culprit is somewhere in there
I tried resetting my LibO profile, didn't help at all
Comment 36 Stephan Bergmann 2011-09-07 01:53:37 UTC
Oops, yes you wrote 10.7 already above.  Tried this with 10.6, will try again with 10.7 later today.
Comment 37 Stephan Bergmann 2011-09-07 07:07:25 UTC
No, cannot reproduce on 10.7 either.
Comment 38 Florian Effenberger 2011-09-07 08:09:49 UTC
I guess we really need to have a debug build to find out what's causing this. :/ Some people see that issue, others don't, and I don't find a pattern right now. Tried to clean my profile, to no avail.
Comment 39 bishenk 2011-11-18 10:10:09 UTC
Hi,

Please see crash report below for LO 3.4.4 on OSX 10.6.8

Steps:
1. Open any file in writer
2. Copy and paste some text
3. Save file
4. Quit using Cmd + Q

Hope this helps.

Process:         soffice [3137]
Path:            /Applications/LibreOffice.app/Contents/MacOS/soffice
Identifier:      org.libreoffice.script
Version:         3.4.4 (???)
Code Type:       X86 (Native)
Parent Process:  launchd [162]

Date/Time:       2011-11-18 14:04:41.832 -0400
OS Version:      Mac OS X 10.6.8 (10K549)
Report Version:  6

Interval Since Last Report:          178034 sec
Crashes Since Last Report:           6
Per-App Interval Since Last Report:  162661 sec
Per-App Crashes Since Last Report:   6
Anonymous UUID:                      29F686FC-66E8-4A11-97E9-73A5C564461D

Exception Type:  EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x0000000000000001
Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Thread 0 Crashed:  Dispatch queue: com.apple.main-thread
0   libsbmxi.dylib                	0x01fdca43 DocBasicItem::~DocBasicItem() + 67
1   libsbmxi.dylib                	0x020c24c3 SbxHint::~SbxHint() + 227
2   libSystem.B.dylib             	0x92cd4bff __cxa_finalize + 208
3   libSystem.B.dylib             	0x92cd4b14 exit + 33
4   com.apple.AppKit              	0x91bbd2be -[NSApplication terminate:] + 1056
5   com.apple.AppKit              	0x919c2a26 -[NSApplication sendAction:to:from:] + 112
6   com.apple.AppKit              	0x919c28d9 -[NSMenuItem _corePerformAction] + 435
7   com.apple.AppKit              	0x919c25ca -[NSCarbonMenuImpl performActionWithHighlightingForItemAtIndex:] + 174
8   com.apple.AppKit              	0x91abe1c7 -[NSMenu _performActionWithHighlightingForItemAtIndex:] + 49
9   com.apple.AppKit              	0x91abd973 -[NSMenu performKeyEquivalent:] + 314
10  libvclmxi.dylib               	0x01a28ec2 SalGetDesktopEnvironment() + 21506
11  libvclmxi.dylib               	0x01a24290 SalGetDesktopEnvironment() + 2000
12  libvclmxi.dylib               	0x01718190 Application::Yield(bool) + 96
13  libvclmxi.dylib               	0x0171827c Application::Execute() + 76
14  libsofficeapp.dylib           	0x0006a785 0x58000 + 75653
15  libvclmxi.dylib               	0x01720278 DeInitVCL() + 3624
16  libvclmxi.dylib               	0x01a2382b component_getFactory + 209547
17  libvclmxi.dylib               	0x01a28c5b SalGetDesktopEnvironment() + 20891
18  com.apple.AppKit              	0x91946253 -[NSApplication run] + 917
19  com.apple.AppKit              	0x9193e289 NSApplicationMain + 574
20  libvclmxi.dylib               	0x01a245b7 SalGetDesktopEnvironment() + 2807
21  libvclmxi.dylib               	0x01720321 SVMain() + 17
22  libsofficeapp.dylib           	0x00096f65 soffice_main + 245
23  org.libreoffice.script        	0x00001ebe main + 30
24  org.libreoffice.script        	0x00001822 start + 258
25  org.libreoffice.script        	0x00001749 start + 41

Thread 1:
0   libSystem.B.dylib             	0x92cb5b5a semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib             	0x92ce36e1 _pthread_cond_wait + 1066
2   libSystem.B.dylib             	0x92d2c26c pthread_cond_timedwait + 47
3   libuno_sal.dylib.3            	0x00035e38 rtl_cache_create + 728
4   libSystem.B.dylib             	0x92ce3259 _pthread_start + 345
5   libSystem.B.dylib             	0x92ce30de thread_start + 34

Thread 2:  Dispatch queue: com.apple.libdispatch-manager
0   libSystem.B.dylib             	0x92cdc382 kevent + 10
1   libSystem.B.dylib             	0x92cdca9c _dispatch_mgr_invoke + 215
2   libSystem.B.dylib             	0x92cdbf59 _dispatch_queue_invoke + 163
3   libSystem.B.dylib             	0x92cdbcfe _dispatch_worker_thread2 + 240
4   libSystem.B.dylib             	0x92cdb781 _pthread_wqthread + 390
5   libSystem.B.dylib             	0x92cdb5c6 start_wqthread + 30

Thread 3:  Java: Exception Handler Thread
0   libSystem.B.dylib             	0x92cb5afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x92cb6267 mach_msg + 68
2   libSystem.B.dylib             	0x92d21c78 mach_msg_server + 520
3   libjvm.dylib                  	0x2c042974 jio_snprintf + 45283
4   libjvm.dylib                  	0x2c0427f7 jio_snprintf + 44902
5   libjvm.dylib                  	0x2c0414e0 jio_snprintf + 40015
6   libSystem.B.dylib             	0x92ce3259 _pthread_start + 345
7   libSystem.B.dylib             	0x92ce30de thread_start + 34

Thread 4:  Java: Gang worker#0 (Parallel GC Threads)
0   libSystem.B.dylib             	0x92cb5afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x92cb6267 mach_msg + 68
2   libjvm.dylib                  	0x2c2d8ac6 JVM_RaiseSignal + 385574
3   libjvm.dylib                  	0x2c0418d9 jio_snprintf + 41032
4   libjvm.dylib                  	0x2c2cbd64 JVM_RaiseSignal + 332996
5   libjvm.dylib                  	0x2c2cbe41 JVM_RaiseSignal + 333217
6   libjvm.dylib                  	0x2c04140b jio_snprintf + 39802
7   libjvm.dylib                  	0x2c057271 jio_vsnprintf + 405
8   libjvm.dylib                  	0x2c05715b jio_vsnprintf + 127
9   libjvm.dylib                  	0x2c0414e0 jio_snprintf + 40015
10  libSystem.B.dylib             	0x92ce3259 _pthread_start + 345
11  libSystem.B.dylib             	0x92ce30de thread_start + 34

Thread 5:  Java: Gang worker#1 (Parallel GC Threads)
0   libSystem.B.dylib             	0x92cb5afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x92cb6267 mach_msg + 68
2   libjvm.dylib                  	0x2c2d8ac6 JVM_RaiseSignal + 385574
3   libjvm.dylib                  	0x2c0418d9 jio_snprintf + 41032
4   libjvm.dylib                  	0x2c2cbd64 JVM_RaiseSignal + 332996
5   libjvm.dylib                  	0x2c2cbe41 JVM_RaiseSignal + 333217
6   libjvm.dylib                  	0x2c04140b jio_snprintf + 39802
7   libjvm.dylib                  	0x2c057271 jio_vsnprintf + 405
8   libjvm.dylib                  	0x2c05715b jio_vsnprintf + 127
9   libjvm.dylib                  	0x2c0414e0 jio_snprintf + 40015
10  libSystem.B.dylib             	0x92ce3259 _pthread_start + 345
11  libSystem.B.dylib             	0x92ce30de thread_start + 34

Thread 6:  Java: Gang worker#2 (Parallel GC Threads)
0   libSystem.B.dylib             	0x92cb5afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x92cb6267 mach_msg + 68
2   libjvm.dylib                  	0x2c2d8ac6 JVM_RaiseSignal + 385574
3   libjvm.dylib                  	0x2c0418d9 jio_snprintf + 41032
4   libjvm.dylib                  	0x2c2cbd64 JVM_RaiseSignal + 332996
5   libjvm.dylib                  	0x2c2cbe41 JVM_RaiseSignal + 333217
6   libjvm.dylib                  	0x2c04140b jio_snprintf + 39802
7   libjvm.dylib                  	0x2c057271 jio_vsnprintf + 405
8   libjvm.dylib                  	0x2c05715b jio_vsnprintf + 127
9   libjvm.dylib                  	0x2c0414e0 jio_snprintf + 40015
10  libSystem.B.dylib             	0x92ce3259 _pthread_start + 345
11  libSystem.B.dylib             	0x92ce30de thread_start + 34

Thread 7:  Java: Gang worker#3 (Parallel GC Threads)
0   libSystem.B.dylib             	0x92cb5afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x92cb6267 mach_msg + 68
2   libjvm.dylib                  	0x2c2d8ac6 JVM_RaiseSignal + 385574
3   libjvm.dylib                  	0x2c0418d9 jio_snprintf + 41032
4   libjvm.dylib                  	0x2c2cbd64 JVM_RaiseSignal + 332996
5   libjvm.dylib                  	0x2c2cbe41 JVM_RaiseSignal + 333217
6   libjvm.dylib                  	0x2c04140b jio_snprintf + 39802
7   libjvm.dylib                  	0x2c057271 jio_vsnprintf + 405
8   libjvm.dylib                  	0x2c05715b jio_vsnprintf + 127
9   libjvm.dylib                  	0x2c0414e0 jio_snprintf + 40015
10  libSystem.B.dylib             	0x92ce3259 _pthread_start + 345
11  libSystem.B.dylib             	0x92ce30de thread_start + 34

Thread 8:  Java: Concurrent Mark-Sweep GC Thread
0   libSystem.B.dylib             	0x92cb5afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x92cb6267 mach_msg + 68
2   libjvm.dylib                  	0x2c2d8b96 JVM_RaiseSignal + 385782
3   libjvm.dylib                  	0x2c2d8f61 JVM_RaiseSignal + 386753
4   libjvm.dylib                  	0x2c2cbd80 JVM_RaiseSignal + 333024
5   libjvm.dylib                  	0x2c2cbe41 JVM_RaiseSignal + 333217
6   libjvm.dylib                  	0x2c04140b jio_snprintf + 39802
7   libjvm.dylib                  	0x2c0fa323 JVM_Close + 13811
8   libjvm.dylib                  	0x2c0fa291 JVM_Close + 13665
9   libjvm.dylib                  	0x2c05d97b jio_vsnprintf + 26783
10  libjvm.dylib                  	0x2c0414e0 jio_snprintf + 40015
11  libSystem.B.dylib             	0x92ce3259 _pthread_start + 345
12  libSystem.B.dylib             	0x92ce30de thread_start + 34

Thread 9:  Java: VM Thread
0   libSystem.B.dylib             	0x92cb5afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x92cb6267 mach_msg + 68
2   libjvm.dylib                  	0x2c2d8b96 JVM_RaiseSignal + 385782
3   libjvm.dylib                  	0x2c2d8f61 JVM_RaiseSignal + 386753
4   libjvm.dylib                  	0x2c2cbd80 JVM_RaiseSignal + 333024
5   libjvm.dylib                  	0x2c2cbe41 JVM_RaiseSignal + 333217
6   libjvm.dylib                  	0x2c04140b jio_snprintf + 39802
7   libjvm.dylib                  	0x2c0ca4eb JVM_Lseek + 157928
8   libjvm.dylib                  	0x2c0ca17b JVM_Lseek + 157048
9   libjvm.dylib                  	0x2c0414e0 jio_snprintf + 40015
10  libSystem.B.dylib             	0x92ce3259 _pthread_start + 345
11  libSystem.B.dylib             	0x92ce30de thread_start + 34

Thread 10:  Java: Reference Handler
0   libSystem.B.dylib             	0x92cb5afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x92cb6267 mach_msg + 68
2   libjvm.dylib                  	0x2c2d8ac6 JVM_RaiseSignal + 385574
3   libjvm.dylib                  	0x2c0418d9 jio_snprintf + 41032
4   libjvm.dylib                  	0x2c2d47a0 JVM_RaiseSignal + 368384
5   libjvm.dylib                  	0x2c317a0a JVM_RaiseSignal + 643434
6   libjvm.dylib                  	0x2c0d7c28 JVM_MonitorWait + 203
7   libjvmlinkage.dylib           	0x20180e75 JVM_MonitorWait + 69
8   ???                           	0x2e00b9d9 0 + 771799513
9   ???                           	0x2e003e31 0 + 771767857
10  ???                           	0x2e003e31 0 + 771767857
11  ???                           	0x2e001374 0 + 771756916
12  libjvm.dylib                  	0x2c0cb7ff JVM_Lseek + 162812
13  libjvm.dylib                  	0x2c0cb573 JVM_Lseek + 162160
14  libjvm.dylib                  	0x2c0d7a3d JVM_StartThread + 2922
15  libjvm.dylib                  	0x2c0d7931 JVM_StartThread + 2654
16  libjvm.dylib                  	0x2c0d78af JVM_StartThread + 2524
17  libjvm.dylib                  	0x2c0d7709 JVM_StartThread + 2102
18  libjvm.dylib                  	0x2c0d7547 JVM_StartThread + 1652
19  libjvm.dylib                  	0x2c0414e0 jio_snprintf + 40015
20  libSystem.B.dylib             	0x92ce3259 _pthread_start + 345
21  libSystem.B.dylib             	0x92ce30de thread_start + 34

Thread 11:  Java: Finalizer
0   libSystem.B.dylib             	0x92cb5afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x92cb6267 mach_msg + 68
2   libjvm.dylib                  	0x2c2d8ac6 JVM_RaiseSignal + 385574
3   libjvm.dylib                  	0x2c0418d9 jio_snprintf + 41032
4   libjvm.dylib                  	0x2c2d47a0 JVM_RaiseSignal + 368384
5   libjvm.dylib                  	0x2c317a0a JVM_RaiseSignal + 643434
6   libjvm.dylib                  	0x2c0d7c28 JVM_MonitorWait + 203
7   libjvmlinkage.dylib           	0x20180e75 JVM_MonitorWait + 69
8   ???                           	0x2e00b9d9 0 + 771799513
9   ???                           	0x2e003e31 0 + 771767857
10  ???                           	0x2e003f97 0 + 771768215
11  ???                           	0x2e003f97 0 + 771768215
12  ???                           	0x2e001374 0 + 771756916
13  libjvm.dylib                  	0x2c0cb7ff JVM_Lseek + 162812
14  libjvm.dylib                  	0x2c0cb573 JVM_Lseek + 162160
15  libjvm.dylib                  	0x2c0d7a3d JVM_StartThread + 2922
16  libjvm.dylib                  	0x2c0d7931 JVM_StartThread + 2654
17  libjvm.dylib                  	0x2c0d78af JVM_StartThread + 2524
18  libjvm.dylib                  	0x2c0d7709 JVM_StartThread + 2102
19  libjvm.dylib                  	0x2c0d7547 JVM_StartThread + 1652
20  libjvm.dylib                  	0x2c0414e0 jio_snprintf + 40015
21  libSystem.B.dylib             	0x92ce3259 _pthread_start + 345
22  libSystem.B.dylib             	0x92ce30de thread_start + 34

Thread 12:  Java: Surrogate Locker Thread (Concurrent GC)
0   libSystem.B.dylib             	0x92cb5afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x92cb6267 mach_msg + 68
2   libjvm.dylib                  	0x2c2d8ac6 JVM_RaiseSignal + 385574
3   libjvm.dylib                  	0x2c0418d9 jio_snprintf + 41032
4   libjvm.dylib                  	0x2c2cbd64 JVM_RaiseSignal + 332996
5   libjvm.dylib                  	0x2c2cbe41 JVM_RaiseSignal + 333217
6   libjvm.dylib                  	0x2c04134e jio_snprintf + 39613
7   libjvm.dylib                  	0x2c0e8efa JVM_IsPrimitiveClass + 6366
8   libjvm.dylib                  	0x2c0e8dc4 JVM_IsPrimitiveClass + 6056
9   libjvm.dylib                  	0x2c0d7709 JVM_StartThread + 2102
10  libjvm.dylib                  	0x2c0d7547 JVM_StartThread + 1652
11  libjvm.dylib                  	0x2c0414e0 jio_snprintf + 40015
12  libSystem.B.dylib             	0x92ce3259 _pthread_start + 345
13  libSystem.B.dylib             	0x92ce30de thread_start + 34

Thread 13:  Java: Signal Dispatcher
0   libSystem.B.dylib             	0x92cb5b36 semaphore_wait_trap + 10
1   libjvm.dylib                  	0x2c0e9766 JVM_IsPrimitiveClass + 8522
2   libjvm.dylib                  	0x2c0e9144 JVM_IsPrimitiveClass + 6952
3   libjvm.dylib                  	0x2c0d7709 JVM_StartThread + 2102
4   libjvm.dylib                  	0x2c0d7547 JVM_StartThread + 1652
5   libjvm.dylib                  	0x2c0414e0 jio_snprintf + 40015
6   libSystem.B.dylib             	0x92ce3259 _pthread_start + 345
7   libSystem.B.dylib             	0x92ce30de thread_start + 34

Thread 14:  Java: C1 CompilerThread0
0   libSystem.B.dylib             	0x92cb5afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x92cb6267 mach_msg + 68
2   libjvm.dylib                  	0x2c2d8ac6 JVM_RaiseSignal + 385574
3   libjvm.dylib                  	0x2c0418d9 jio_snprintf + 41032
4   libjvm.dylib                  	0x2c2cbd64 JVM_RaiseSignal + 332996
5   libjvm.dylib                  	0x2c2cbe41 JVM_RaiseSignal + 333217
6   libjvm.dylib                  	0x2c04134e jio_snprintf + 39613
7   libjvm.dylib                  	0x2c0f089a JVM_Write + 362
8   libjvm.dylib                  	0x2c0ea91c JVM_IsPrimitiveClass + 13056
9   libjvm.dylib                  	0x2c0ea6c6 JVM_IsPrimitiveClass + 12458
10  libjvm.dylib                  	0x2c0d7709 JVM_StartThread + 2102
11  libjvm.dylib                  	0x2c0d7547 JVM_StartThread + 1652
12  libjvm.dylib                  	0x2c0414e0 jio_snprintf + 40015
13  libSystem.B.dylib             	0x92ce3259 _pthread_start + 345
14  libSystem.B.dylib             	0x92ce30de thread_start + 34

Thread 15:  Java: Low Memory Detector
0   libSystem.B.dylib             	0x92cb5afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x92cb6267 mach_msg + 68
2   libjvm.dylib                  	0x2c2d8ac6 JVM_RaiseSignal + 385574
3   libjvm.dylib                  	0x2c0418d9 jio_snprintf + 41032
4   libjvm.dylib                  	0x2c2cbd64 JVM_RaiseSignal + 332996
5   libjvm.dylib                  	0x2c2cbe41 JVM_RaiseSignal + 333217
6   libjvm.dylib                  	0x2c04140b jio_snprintf + 39802
7   libjvm.dylib                  	0x2c0ec40e JVM_IsPrimitiveClass + 19954
8   libjvm.dylib                  	0x2c0d7709 JVM_StartThread + 2102
9   libjvm.dylib                  	0x2c0d7547 JVM_StartThread + 1652
10  libjvm.dylib                  	0x2c0414e0 jio_snprintf + 40015
11  libSystem.B.dylib             	0x92ce3259 _pthread_start + 345
12  libSystem.B.dylib             	0x92ce30de thread_start + 34

Thread 16:  Java: VM Periodic Task Thread
0   libSystem.B.dylib             	0x92cb5afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x92cb6267 mach_msg + 68
2   libjvm.dylib                  	0x2c2d8b96 JVM_RaiseSignal + 385782
3   libjvm.dylib                  	0x2c2d8f61 JVM_RaiseSignal + 386753
4   libjvm.dylib                  	0x2c0ee76d JVM_IsPrimitiveClass + 29009
5   libjvm.dylib                  	0x2c0414e0 jio_snprintf + 40015
6   libSystem.B.dylib             	0x92ce3259 _pthread_start + 345
7   libSystem.B.dylib             	0x92ce30de thread_start + 34

Thread 17:
0   libSystem.B.dylib             	0x92cdb412 __workq_kernreturn + 10
1   libSystem.B.dylib             	0x92cdb9a8 _pthread_wqthread + 941
2   libSystem.B.dylib             	0x92cdb5c6 start_wqthread + 30

Thread 18:
0   libSystem.B.dylib             	0x92cdb412 __workq_kernreturn + 10
1   libSystem.B.dylib             	0x92cdb9a8 _pthread_wqthread + 941
2   libSystem.B.dylib             	0x92cdb5c6 start_wqthread + 30

Thread 19:
0   libSystem.B.dylib             	0x92cdb412 __workq_kernreturn + 10
1   libSystem.B.dylib             	0x92cdb9a8 _pthread_wqthread + 941
2   libSystem.B.dylib             	0x92cdb5c6 start_wqthread + 30

Thread 20:
0   libSystem.B.dylib             	0x92cdb412 __workq_kernreturn + 10
1   libSystem.B.dylib             	0x92cdb9a8 _pthread_wqthread + 941
2   libSystem.B.dylib             	0x92cdb5c6 start_wqthread + 30

Thread 21:  com.apple.CFSocket.private
0   libSystem.B.dylib             	0x92cd4ac6 select$DARWIN_EXTSN + 10
1   com.apple.CoreFoundation      	0x92f12c53 __CFSocketManager + 1091
2   libSystem.B.dylib             	0x92ce3259 _pthread_start + 345
3   libSystem.B.dylib             	0x92ce30de thread_start + 34

Thread 0 crashed with X86 Thread State (32-bit):
  eax: 0x0000000d  ebx: 0x01fdca0e  ecx: 0x19baf0a0  edx: 0x3c3710b0
  edi: 0x00000000  esi: 0x2acc18a8  ebp: 0xbffff038  esp: 0xbffff010
   ss: 0x0000001f  efl: 0x00010202  eip: 0x01fdca43   cs: 0x00000017
   ds: 0x0000001f   es: 0x0000001f   fs: 0x00000000   gs: 0x00000037
  cr2: 0x00000001

Binary Images:
    0x1000 -     0x1ff7 +org.libreoffice.script 3.4.4 (???) <8D38ED52-0788-1BB7-5A00-5E884D2870F1> /Applications/LibreOffice.app/Contents/MacOS/soffice
    0x5000 -    0x45ff3 +libuno_sal.dylib.3 ??? (???) <C8C3168B-CE0D-E972-19F0-E7B8EB407831> /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/libuno_sal.dylib.3
   0x58000 -    0xbcffb +libsofficeapp.dylib ??? (???) <427A0175-CD80-8927-DB80-CA424BA265F4> /Applications/LibreOffice.app/Contents/basis-link/program/libsofficeapp.dylib
   0xd2000 -   0x1d8fff +libcomphelpgcc3.dylib ??? (???) <D14DAB94-1FED-7950-89CB-555B3D79BE8F> /Applications/LibreOffice.app/Contents/basis-link/program/libcomphelpgcc3.dylib
  0x2a6000 -   0x342fe3 +libuno_cppuhelpergcc3.dylib.3 ??? (???) <C7E72F97-42D2-5BCF-540E-C17816126B4F> /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/libuno_cppuhelpergcc3.dylib.3
  0x363000 -   0x391ffb +libuno_cppu.dylib.3 ??? (???) <408F18D1-B3FE-9CA1-7B34-00DDBB296121> /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/libuno_cppu.dylib.3
  0x399000 -   0x3b6ffb +libdeploymentmiscmxi.dylib ??? (???) <7DD560E9-7E66-C782-13B7-A7275354AF89> /Applications/LibreOffice.app/Contents/basis-link/program/libdeploymentmiscmxi.dylib
  0x3c1000 -   0x3c5ff7 +libi18nisolang1gcc3.dylib ??? (???) <5CCF8838-8836-5152-8CDD-81090C5A2EB8> /Applications/LibreOffice.app/Contents/basis-link/program/libi18nisolang1gcc3.dylib
  0x3ca000 -   0x70dfef +libsfxmxi.dylib ??? (???) <6BAC93EB-8454-4358-6278-9DF2007EFE69> /Applications/LibreOffice.app/Contents/basis-link/program/libsfxmxi.dylib
  0x8fb000 -   0x9bafe3 +libsvlmxi.dylib ??? (???) <631525F5-E9D5-E1ED-FAF4-4FC66CE509C3> /Applications/LibreOffice.app/Contents/basis-link/program/libsvlmxi.dylib
  0xa2a000 -   0xd36fff +libsvtmxi.dylib ??? (???) <DA7CC4EE-A58A-97FB-EA54-8A6504C87D0E> /Applications/LibreOffice.app/Contents/basis-link/program/libsvtmxi.dylib
  0xf27000 -  0x11a9ff7 +libtkmxi.dylib ??? (???) <E98B0ECF-D911-BF89-F4FC-1DB1ED4B7D13> /Applications/LibreOffice.app/Contents/basis-link/program/libtkmxi.dylib
 0x1472000 -  0x14fdfe7 +libtlmxi.dylib ??? (???) <87F4734C-E4A4-3E2B-45FB-F0807469C75E> /Applications/LibreOffice.app/Contents/basis-link/program/libtlmxi.dylib
 0x1534000 -  0x1588feb +libucbhelper4gcc3.dylib ??? (???) <D4EE6781-C6E1-82D6-6E16-FED336699D34> /Applications/LibreOffice.app/Contents/basis-link/program/libucbhelper4gcc3.dylib
 0x15ad000 -  0x16c0fe3 +libutlmxi.dylib ??? (???) <FE8A8EE5-CF66-251B-CF03-D38DD27D6435> /Applications/LibreOffice.app/Contents/basis-link/program/libutlmxi.dylib
 0x170b000 -  0x1ac4fff +libvclmxi.dylib ??? (???) <F40B5B5D-5873-0487-9B98-5BF005F41122> /Applications/LibreOffice.app/Contents/basis-link/program/libvclmxi.dylib
 0x1bc6000 -  0x1bc8ffb +libuno_salhelpergcc3.dylib.3 ??? (???) <A1450B7B-6F4D-72CB-8582-6D645EDEE706> /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/libuno_salhelpergcc3.dylib.3
 0x1bcd000 -  0x1d2efe7 +libdb-4.7.dylib ??? (???) <4802510F-3AD3-E664-CFF0-A4140367A02E> /Applications/LibreOffice.app/Contents/basis-link/program/libdb-4.7.dylib
 0x1d40000 -  0x1dbfff7 +libxcrmxi.dylib ??? (???) <66E525C6-5319-E2A3-308A-E8F5E06B5803> /Applications/LibreOffice.app/Contents/basis-link/program/libxcrmxi.dylib
 0x1dfd000 -  0x1ea2fff +libbasegfxmxi.dylib ??? (???) <BDB1D829-47FF-A8E7-84F5-AC98E00BA5BA> /Applications/LibreOffice.app/Contents/basis-link/program/libbasegfxmxi.dylib
 0x1edf000 -  0x1f5dfff +libfwemxi.dylib ??? (???) <E1F2D0A4-CAFD-42DF-2738-08E82A0ADE84> /Applications/LibreOffice.app/Contents/basis-link/program/libfwemxi.dylib
 0x1fa4000 -  0x1fb5fff +libsaxmxi.dylib ??? (???) <4E5EDE66-B96A-8E9C-BD0B-DE596CE8F1F3> /Applications/LibreOffice.app/Contents/basis-link/program/libsaxmxi.dylib
 0x1fbe000 -  0x20e9fe3 +libsbmxi.dylib ??? (???) <4C68B277-7C78-5E2C-3C7F-C1F1F68B78AA> /Applications/LibreOffice.app/Contents/basis-link/program/libsbmxi.dylib
 0x219f000 -  0x21e3fe7 +libsotmxi.dylib ??? (???) <C66DE9C6-4E77-E937-04D5-669FD9644F9B> /Applications/LibreOffice.app/Contents/basis-link/program/libsotmxi.dylib
 0x220e000 -  0x222ffeb +libfwimxi.dylib ??? (???) <9064CB8E-5BD6-00E9-CAEE-DADB4340BEBF> /Applications/LibreOffice.app/Contents/basis-link/program/libfwimxi.dylib
 0x2248000 -  0x224bfeb +libi18nutilgcc3.dylib ??? (???) <13C79579-1800-3D2A-0D1E-3EE168B10348> /Applications/LibreOffice.app/Contents/basis-link/program/libi18nutilgcc3.dylib
 0x225b000 -  0x2272ff7 +libjvmfwk.dylib.3 ??? (???) <13D35681-6A52-DEAD-80CE-AACA1E45EA3C> /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/libjvmfwk.dylib.3
 0x2279000 -  0x235ffe7 +libicuuc.dylib.44.2 44.2.0 (compatibility 44.0.0) <4EF2B9BA-6C6B-E5D6-258C-A8518DC54443> /Applications/LibreOffice.app/Contents/basis-link/program/libicuuc.dylib.44.2
 0x2399000 -  0x31d8ff7 +libicudata.dylib.44.2 44.2.0 (compatibility 44.0.0) <CD11B919-996D-5A5B-7BE7-9EB405DE4C66> /Applications/LibreOffice.app/Contents/basis-link/program/libicudata.dylib.44.2
 0x31db000 -  0x31ddffb +libi18npapermxi.dylib ??? (???) <D45919E0-4A52-B520-DDE1-E935D43E7041> /Applications/LibreOffice.app/Contents/basis-link/program/libi18npapermxi.dylib
 0x31e2000 -  0x320eff7 +libicule.dylib.44.2 44.2.0 (compatibility 44.0.0) <6A4B17E9-53AC-1CD4-FAE0-91AC4A44D5BC> /Applications/LibreOffice.app/Contents/basis-link/program/libicule.dylib.44.2
 0x3216000 -  0x3219ff3 +libjvmaccessgcc3.dylib.3 ??? (???) <3B345950-C400-B622-2513-D8EA7226C6C2> /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/libjvmaccessgcc3.dylib.3
 0x321e000 -  0x33d6fff +libbasebmpmxi.dylib ??? (???) <D3CA4834-2FE3-D945-4617-98F48A499B56> /Applications/LibreOffice.app/Contents/basis-link/program/libbasebmpmxi.dylib
 0x3492000 -  0x3498ff7 +libAppleRemotemxi.dylib ??? (???) <B57438A0-CDAC-1EDE-68EB-115ACE0701C2> /Applications/LibreOffice.app/Contents/basis-link/program/libAppleRemotemxi.dylib
 0x37a4000 -  0x37b9feb +libreg.dylib.3 ??? (???) <3B52D67C-BF44-12C3-48A5-D4A8158B4357> /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/libreg.dylib.3
 0x37bf000 -  0x37c5ff3 +libxmlreader.dylib ??? (???) <A015621C-5486-0828-4BB8-79CD52AFBC91> /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/libxmlreader.dylib
 0x37c9000 -  0x37dbff7 +libstore.dylib.3 ??? (???) <53795B0D-5707-8035-D671-0E647C6E1B0E> /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/libstore.dylib.3
 0x37e0000 -  0x37ecfff +libgcc3_uno.dylib ??? (???) <FA184D42-5B55-504D-5B3B-6372005EA47A> /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/libgcc3_uno.dylib
 0x4500000 -  0x45a4fff +bootstrap.uno.dylib ??? (???) <7134113A-83E2-464C-ED94-9D9A84C31972> /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/bootstrap.uno.dylib
 0x46c8000 -  0x46ddffb +stocservices.uno.dylib ??? (???) <A682B872-D4B2-CE7C-1605-0D9218465584> /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/stocservices.uno.dylib
 0x475b000 -  0x4768ff7  com.apple.iokit.IOHIDLib 1.6.6 (1.6.6) <665A3308-8C50-655A-ED3F-49AF695A408E> /System/Library/Extensions/IOHIDFamily.kext/Contents/PlugIns/IOHIDLib.plugin/Contents/MacOS/IOHIDLib
 0x4778000 -  0x47e0fff +configmgr.uno.dylib ??? (???) <EED823EC-9689-4126-7EE5-88895FD54EC6> /Applications/LibreOffice.app/Contents/basis-link/program/configmgr.uno.dylib
 0x47f5000 -  0x47f8ffb +localebe1.uno.dylib ??? (???) <F487DCE2-5E7E-9BCF-5D75-65214147D387> /Applications/LibreOffice.app/Contents/basis-link/program/localebe1.uno.dylib
 0x6dde000 -  0x6de2fff +macbe1.uno.dylib ??? (???) <0EF96F96-01E1-D5B6-363E-5303C5F7623F> /Applications/LibreOffice.app/Contents/basis-link/program/macbe1.uno.dylib
0x19c00000 - 0x19c20fef +libsplmxi.dylib ??? (???) <B722D1DE-8233-7BF6-01C0-AF1E244409BF> /Applications/LibreOffice.app/Contents/basis-link/program/libsplmxi.dylib
0x19c29000 - 0x19d83ff7 +i18npool.uno.dylib ??? (???) <D6196055-BEBB-33AE-DC8B-4CE21BECA380> /Applications/LibreOffice.app/Contents/basis-link/program/i18npool.uno.dylib
0x19dbe000 - 0x19f13fe7 +libicui18n.dylib.44.2 44.2.0 (compatibility 44.0.0) <455CF1B9-3E9A-F426-5E8B-0F67CCAE9A62> /Applications/LibreOffice.app/Contents/basis-link/program/libicui18n.dylib.44.2
0x1a211000 - 0x1a219ff3 +libevtatt.dylib ??? (???) <6859E7BD-F7AA-DF08-0BE4-118B7C508986> /Applications/LibreOffice.app/Contents/basis-link/program/libevtatt.dylib
0x1a228000 - 0x1a2cdff3 +deploymentmxi.uno.dylib ??? (???) <04BDCFE8-673F-CC6B-A28B-0C47E2852A85> /Applications/LibreOffice.app/Contents/basis-link/program/deploymentmxi.uno.dylib
0x1a2f8000 - 0x1a32dffb +libhelplinkermxi.dylib ??? (???) <FF81378D-19DD-E90D-0ABF-2938D3FB1DC2> /Applications/LibreOffice.app/Contents/basis-link/program/libhelplinkermxi.dylib
0x1a339000 - 0x1a33cffb +ucpexpand1.uno.dylib ??? (???) <5BC8DD64-E61E-B45D-D9CE-402B4B77F7E1> /Applications/LibreOffice.app/Contents/basis-link/program/ucpexpand1.uno.dylib
0x1a352000 - 0x1a354ff7 +libtextcat.dylib ??? (???) <187F0A28-F302-9762-5661-2BADECD485FD> /Applications/LibreOffice.app/Contents/basis-link/program/libtextcat.dylib
0x1a506000 - 0x1a51efeb +introspection.uno.dylib ??? (???) <74A0AAB0-0ED3-3CC6-8751-5FCF1B56523F> /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/introspection.uno.dylib
0x1a54d000 - 0x1a589feb +libucb1.dylib ??? (???) <B50C6265-1A7B-FAF1-2C15-4062B7E6CC11> /Applications/LibreOffice.app/Contents/basis-link/program/libucb1.dylib
0x1a598000 - 0x1a7f9ffb +libfwkmxi.dylib ??? (???) <D6ED77DB-8B74-FEDD-7741-BE44FCACB72D> /Applications/LibreOffice.app/Contents/basis-link/program/libfwkmxi.dylib
0x1a940000 - 0x1a991fff +libucpfile1.dylib ??? (???) <089F4833-DA0D-9F5C-5B84-F088D49A03C5> /Applications/LibreOffice.app/Contents/basis-link/program/libucpfile1.dylib
0x1db6a000 - 0x1db6fff3 +libmcnttype.dylib ??? (???) <0F6C3AF5-3C2F-2F63-3E04-7FCB6B9CC4D1> /Applications/LibreOffice.app/Contents/basis-link/program/libmcnttype.dylib
0x1db7f000 - 0x1db83fff +javaloader.uno.dylib ??? (???) <9A6BC907-1DCC-0002-F66B-371C4F52C477> /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/javaloader.uno.dylib
0x1e4b1000 - 0x1e4b5ff7  JavaLaunching ??? (???) <3C53D78E-64EE-5147-0ECB-EC813B40D6EE> /System/Library/PrivateFrameworks/JavaLaunching.framework/Versions/A/JavaLaunching
0x1e57b000 - 0x1e57fff7  com.apple.JavaVM 13.6.0 (13.6.0) <AF1F7FCD-8FB4-CF43-5433-C98A0B58025B> /System/Library/Frameworks/JavaVM.framework/Versions/A/JavaVM
0x200f4000 - 0x20140ff3 +libfwlmxi.dylib ??? (???) <E462FA21-2322-A9CE-C2A3-B4165DFC63D8> /Applications/LibreOffice.app/Contents/basis-link/program/libfwlmxi.dylib
0x20180000 - 0x20187ffb  libjvmlinkage.dylib ??? (???) <40E32914-14BE-2928-DA0B-AE59EA90565A> /System/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Libraries/libjvmlinkage.dylib
0x201e5000 - 0x20238ff7 +libpackage2.dylib ??? (???) <F3C70ADC-7BD8-26A9-5577-86A53CE8C8DE> /Applications/LibreOffice.app/Contents/basis-link/program/libpackage2.dylib
0x202da000 - 0x202f1ff7 +fsstorage.uno.dylib ??? (???) <F484CB0B-D2A1-5E7E-B64F-A8DEA1935E0E> /Applications/LibreOffice.app/Contents/basis-link/program/fsstorage.uno.dylib
0x20305000 - 0x20335ff7 +sax.uno.dylib ??? (???) <5DC8FCF7-5D44-731D-13AA-B4F422C3724B> /Applications/LibreOffice.app/Contents/basis-link/program/sax.uno.dylib
0x203d7000 - 0x20412fe3 +libuuimxi.dylib ??? (???) <2271FC9A-BF26-0EEF-7340-B318D16C2F91> /Applications/LibreOffice.app/Contents/basis-link/program/libuuimxi.dylib
0x27ae7000 - 0x27b1ffef +libxofmxi.dylib ??? (???) <C8103C16-CEA8-F523-327C-809A788AC752> /Applications/LibreOffice.app/Contents/basis-link/program/libxofmxi.dylib
0x2826f000 - 0x282d9ffb +liblngmxi.dylib ??? (???) <3AC0C8C1-B725-973F-BD90-49C542295A0E> /Applications/LibreOffice.app/Contents/basis-link/program/liblngmxi.dylib
0x2832d000 - 0x286d7ff3 +libxomxi.dylib ??? (???) <D9AF4CBF-5E66-8748-7277-F85966C0D546> /Applications/LibreOffice.app/Contents/basis-link/program/libxomxi.dylib
0x28891000 - 0x288d0ff7 +libfilterconfig1.dylib ??? (???) <1CE887E9-673E-9BAB-7488-72CD12F86CB0> /Applications/LibreOffice.app/Contents/basis-link/program/libfilterconfig1.dylib
0x288e0000 - 0x29256ffb +libswmxi.dylib ??? (???) <823E6998-786D-B17C-3288-1B25C9ADFB68> /Applications/LibreOffice.app/Contents/basis-link/program/libswmxi.dylib
0x297ac000 - 0x297c0ff7 +libavmediamxi.dylib ??? (???) <7A25229B-A336-4B2B-0357-23866374E608> /Applications/LibreOffice.app/Contents/basis-link/program/libavmediamxi.dylib
0x297d9000 - 0x298b1fff +libdrawinglayermxi.dylib ??? (???) <0C55AA39-0D70-B6AF-2E89-B8265B1C11FF> /Applications/LibreOffice.app/Contents/basis-link/program/libdrawinglayermxi.dylib
0x29926000 - 0x29a87fef +libeditengmxi.dylib ??? (???) <8FDEC632-115A-25AF-224A-6BF207B53C6D> /Applications/LibreOffice.app/Contents/basis-link/program/libeditengmxi.dylib
0x29b74000 - 0x29d4bfe7 +libsvxmxi.dylib ??? (???) <5B126A95-1D94-58E4-AFA3-84A1AA950321> /Applications/LibreOffice.app/Contents/basis-link/program/libsvxmxi.dylib
0x29ecf000 - 0x2a416ff7 +libsvxcoremxi.dylib ??? (???) <68EF82F5-9A51-81C9-7C71-598DEBA583C7> /Applications/LibreOffice.app/Contents/basis-link/program/libsvxcoremxi.dylib
0x2a827000 - 0x2a8b3fe3 +libvbahelpermxi.dylib ??? (???) <11681C4F-417F-B8B8-4765-9A0BC4897171> /Applications/LibreOffice.app/Contents/basis-link/program/libvbahelpermxi.dylib
0x2a920000 - 0x2a944fff +libcanvastoolsmxi.dylib ??? (???) <4AE3B54B-A5E3-E089-7316-9B14EA9460F5> /Applications/LibreOffice.app/Contents/basis-link/program/libcanvastoolsmxi.dylib
0x2a962000 - 0x2a9b3ffb +libcppcanvasmxi.dylib ??? (???) <EFE0A09F-7AE4-89AF-74ED-A288925794A2> /Applications/LibreOffice.app/Contents/basis-link/program/libcppcanvasmxi.dylib
0x2a9e7000 - 0x2aabdffb +libmsfiltermxi.dylib ??? (???) <0949B50A-8A8E-A01B-0A49-79246A8F2D84> /Applications/LibreOffice.app/Contents/basis-link/program/libmsfiltermxi.dylib
0x2aaf0000 - 0x2ab45fff +libunoxmlmxi.dylib ??? (???) <D99B3943-E63F-ADF5-DB44-F88A9DE4233C> /Applications/LibreOffice.app/Contents/basis-link/program/libunoxmlmxi.dylib
0x2ac5a000 - 0x2ac71feb +reflection.uno.dylib ??? (???) <BA2ACBB6-4EAB-63C1-6804-0A78B242BA8C> /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/reflection.uno.dylib
0x2ac7b000 - 0x2ac86fff +libfileacc.dylib ??? (???) <A58D4349-8CB4-2DAF-1CF7-44F45340E306> /Applications/LibreOffice.app/Contents/basis-link/program/libfileacc.dylib
0x2acae000 - 0x2acb5ff7 +libguesslangmxi.dylib ??? (???) <79094F03-0BF5-36D4-CDEA-5ECAA1D8A5F5> /Applications/LibreOffice.app/Contents/basis-link/program/libguesslangmxi.dylib
0x2acce000 - 0x2ace3ffb +libscnmxi.dylib ??? (???) <6090759E-5B7C-4792-D57F-FA7AFA0F8217> /Applications/LibreOffice.app/Contents/basis-link/program/libscnmxi.dylib
0x2aecc000 - 0x2af50fe3 +libxstor.dylib ??? (???) <571D7DFE-BBE5-BE04-83E4-40D719257FD9> /Applications/LibreOffice.app/Contents/basis-link/program/libxstor.dylib
0x2af82000 - 0x2b186ffb +libfrmmxi.dylib ??? (???) <C19A6578-D64E-3264-97A6-A3249B4C70F4> /Applications/LibreOffice.app/Contents/basis-link/program/libfrmmxi.dylib
0x2b223000 - 0x2b359ff7 +libdbtoolsmxi.dylib ??? (???) <5374CEAA-ADC3-876B-B717-9DCF2D89333F> /Applications/LibreOffice.app/Contents/basis-link/program/libdbtoolsmxi.dylib
0x2c000000 - 0x2c015ff7 +javavm.uno.dylib ??? (???) <E19ED27A-9DD3-7FAA-CEF0-E350C26EC2DD> /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/javavm.uno.dylib
0x2c032000 - 0x2c395ff7  libjvm.dylib ??? (???) <17C6BF39-5F82-97C0-38D3-0D469F5F825F> /System/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Home/bundle/Libraries/libjvm.dylib
0x2c500000 - 0x2c507ff7  libverify.dylib 1.0 (1.0) <139B0D99-83BA-17B5-F87E-7F4394A9721D> /System/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Libraries/libverify.dylib
0x2c50c000 - 0x2c514ff7  JavaNativeFoundation ??? (???) <D913A75C-706D-9A4D-8C85-217150728CDE> /System/Library/Frameworks/JavaVM.framework/Versions/A/Frameworks/JavaNativeFoundation.framework/Versions/A/JavaNativeFoundation
0x2c51d000 - 0x2c539ff7  libjava.jnilib ??? (???) <E6EDF6A8-3A41-2F7C-7FEF-97E06DC4A7E5> /System/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Libraries/libjava.jnilib
0x2c54b000 - 0x2c557ff7  libzip.jnilib ??? (???) <BCA39E98-9EE6-0ED6-C89C-8EF684787639> /System/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Libraries/libzip.jnilib
0x2d280000 - 0x2d29affb +libjava_uno.dylib ??? (???) <639C40A9-F67F-8405-BA26-D6A9CD56D02C> /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/libjava_uno.dylib
0x2d2e5000 - 0x2d316fff +libspellmxi.dylib ??? (???) <094B9680-D416-AA47-9999-E56E5C8FE0DB> /Applications/LibreOffice.app/Contents/basis-link/program/libspellmxi.dylib
0x2d33d000 - 0x2d343fff +libMacOSXSpellmxi.dylib ??? (???) <133076AB-0B52-3838-4E53-8632E5849BA6> /Applications/LibreOffice.app/Contents/basis-link/program/libMacOSXSpellmxi.dylib
0x2d35a000 - 0x2d365ffb +libhyphenmxi.dylib ??? (???) <E8D34CFC-FDC4-94AC-919E-851963D31E69> /Applications/LibreOffice.app/Contents/basis-link/program/libhyphenmxi.dylib
0x2d36b000 - 0x2d376ff3 +liblnthmxi.dylib ??? (???) <9A290092-0CAB-25DD-86DC-53DA8CC09248> /Applications/LibreOffice.app/Contents/basis-link/program/liblnthmxi.dylib
0x2d39d000 - 0x2d39ffff +fpicker.uno.dylib ??? (???) <8F45E879-7636-5311-09AE-140CD420F196> /Applications/LibreOffice.app/Contents/basis-link/program/fpicker.uno.dylib
0x2d3a3000 - 0x2d3b7ff7 +fps_aqua.uno.dylib ??? (???) <CC6D5418-4DE4-CA51-633E-56257606E01F> /Applications/LibreOffice.app/Contents/basis-link/program/fps_aqua.uno.dylib
0x3c24e000 - 0x3c272fef +libucppkg1.dylib ??? (???) <50AB1D38-A10E-EE68-371C-C9C3615A92A7> /Applications/LibreOffice.app/Contents/basis-link/program/libucppkg1.dylib
0x3c2ae000 - 0x3c2e6ff7 +ucptdoc1.uno.dylib ??? (???) <68102085-52C5-6CD7-A9C1-F7AF90F73956> /Applications/LibreOffice.app/Contents/basis-link/program/ucptdoc1.uno.dylib
0x3e315000 - 0x3e318ffb +proxyfac.uno.dylib ??? (???) <22B412E8-C02E-DCE5-D3FE-327824CE2B0D> /Applications/LibreOffice.app/Contents/basis-link/ure-link/lib/proxyfac.uno.dylib
0x3e31d000 - 0x3e341ff3 +libunordfmxi.dylib ??? (???) <FBC7A929-5A5F-AD11-3DA5-86336A1AC54D> /Applications/LibreOffice.app/Contents/basis-link/program/libunordfmxi.dylib
0x3e363000 - 0x3e383ff7 +librdf.0.dylib ??? (???) <31955878-84FF-3277-FFF4-FA7DBC883799> /Applications/LibreOffice.app/Contents/basis-link/program/librdf.0.dylib
0x3e38e000 - 0x3e3b7fe7 +librasqal.1.dylib 2.0.0 (compatibility 2.0.0) <F1FBAFAA-3A9B-6E61-47DC-9CA0C227E768> /Applications/LibreOffice.app/Contents/basis-link/program/librasqal.1.dylib
0x3e3c2000 - 0x3e40dff7 +libraptor.1.dylib 3.0.0 (compatibility 3.0.0) <24826492-82E2-0496-4401-0BE6DC1DE3F4> /Applications/LibreOffice.app/Contents/basis-link/program/libraptor.1.dylib
0x3e41a000 - 0x3e4cffe7  libcrypto.0.9.7.dylib 0.9.7 (compatibility 0.9.7) <0B69B1F5-3440-B0BF-957F-E0ADD49F13CB> /usr/lib/libcrypto.0.9.7.dylib
0x8fe00000 - 0x8fe4162b  dyld 132.1 (???) <A4F6ADCC-6448-37B4-ED6C-ABB2CD06F448> /usr/lib/dyld
0x9014d000 - 0x9015dff7  libsasl2.2.dylib 3.15.0 (compatibility 3.0.0) <C8744EA3-0AB7-CD03-E639-C4F2B910BE5D> /usr/lib/libsasl2.2.dylib
0x9015e000 - 0x90191ff7  com.apple.AE 496.5 (496.5) <BF9673D5-2419-7120-26A3-83D264C75222> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x90192000 - 0x90195ff7  libCGXType.A.dylib 545.0.0 (compatibility 64.0.0) <4D766435-EB76-C384-0127-1D20ACD74076> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXType.A.dylib
0x901f0000 - 0x9028dfe3  com.apple.LaunchServices 362.3 (362.3) <15B47388-16C8-97DA-EEBB-1709E136169E> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x913ce000 - 0x913d4fe7  com.apple.CommerceCore 1.0 (9.1) <521D067B-3BDA-D04E-E1FA-CFA526C87EB5> /System/Library/PrivateFrameworks/CommerceKit.framework/Versions/A/Frameworks/CommerceCore.framework/Versions/A/CommerceCore
0x91428000 - 0x9143cffb  com.apple.speech.synthesis.framework 3.10.35 (3.10.35) <0DBE17D5-17A2-8A0E-8572-5A78408B41C9> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x91574000 - 0x916a2fe7  com.apple.CoreData 102.1 (251) <E6A457F0-A0A3-32CD-6C69-6286E7C0F063> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x916a3000 - 0x916a3ff7  com.apple.CoreServices 44 (44) <51CFA89A-33DB-90ED-26A8-67D461718A4A> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x916a4000 - 0x9173ffe7  com.apple.ApplicationServices.ATS 275.19 (???) <9FA31967-CF14-B033-EB8D-570561D12A13> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x91740000 - 0x917d8fe7  edu.mit.Kerberos 6.5.11 (6.5.11) <F36DB665-A88B-7F5B-6244-6A2E7FFFF668> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x9192d000 - 0x91937fe7  com.apple.audio.SoundManager 3.9.3 (3.9.3) <5F494955-7290-2D91-DA94-44B590191771> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x91938000 - 0x9193bff7  libCoreVMClient.dylib ??? (???) <F58BDFC1-7408-53C8-0B08-48BA2F25CA43> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
0x9193c000 - 0x9221fff7  com.apple.AppKit 6.6.8 (1038.36) <A353465E-CFC9-CB75-949D-786F6F7732F6> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x92449000 - 0x92449ff7  com.apple.Cocoa 6.6 (???) <EA27B428-5904-B00B-397A-185588698BCC> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x925ea000 - 0x925ecff7  com.apple.securityhi 4.0 (36638) <38D36D4D-C798-6ACE-5FA8-5C001993AD6B> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x92628000 - 0x92993ff7  com.apple.QuartzCore 1.6.3 (227.37) <E323A5CC-499E-CA9E-9BC3-537231449CAA> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x929cd000 - 0x929d1ff7  libGFXShared.dylib ??? (???) <801B2C2C-1692-475A-BAD6-99F85B6E7C25> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
0x929d2000 - 0x92b54fe7  libicucore.A.dylib 40.0.0 (compatibility 1.0.0) <D5980817-6D19-9636-51C3-E82BAE26776B> /usr/lib/libicucore.A.dylib
0x92cb5000 - 0x92e5cff7  libSystem.B.dylib 125.2.11 (compatibility 1.0.0) <2DCD13E3-1BD1-6F25-119A-3863A3848B90> /usr/lib/libSystem.B.dylib
0x92e96000 - 0x93011fe7  com.apple.CoreFoundation 6.6.6 (550.44) <F88C95CD-1264-782D-A1F5-204739847E93> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x93012000 - 0x93032fe7  libresolv.9.dylib 41.0.0 (compatibility 1.0.0) <751955F3-21FB-A03A-4E92-1F3D4EFB8C5B> /usr/lib/libresolv.9.dylib
0x93033000 - 0x930e1ff3  com.apple.ink.framework 1.3.3 (107) <57B54F6F-CE35-D546-C7EC-DBC5FDC79938> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x930e4000 - 0x930fcff7  com.apple.CFOpenDirectory 10.6 (10.6) <F9AFC571-3539-6B46-ABF9-46DA2B608819> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
0x93180000 - 0x93596ff7  libBLAS.dylib 219.0.0 (compatibility 1.0.0) <C4FB303A-DB4D-F9E8-181C-129585E59603> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x93606000 - 0x9360aff7  IOSurface ??? (???) <D849E1A5-6B0C-2A05-2765-850EC39BA2FF> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
0x93690000 - 0x936e0ff7  com.apple.framework.familycontrols 2.0.2 (2020) <C96C8A99-A40C-8B9C-1FBA-A0F46AC92F17> /System/Library/PrivateFrameworks/FamilyControls.framework/Versions/A/FamilyControls
0x936e1000 - 0x936effe7  libz.1.dylib 1.2.3 (compatibility 1.0.0) <3CE8AA79-F077-F1B0-A039-9103A4A02E92> /usr/lib/libz.1.dylib
0x939d7000 - 0x93a24feb  com.apple.DirectoryService.PasswordServerFramework 6.1 (6.1) <136BFA48-D456-B677-3B5D-40A6946C3A09> /System/Library/PrivateFrameworks/PasswordServer.framework/Versions/A/PasswordServer
0x93c66000 - 0x93c69fe7  libmathCommon.A.dylib 315.0.0 (compatibility 1.0.0) <1622A54F-1A98-2CBE-B6A4-2122981A500E> /usr/lib/system/libmathCommon.A.dylib
0x93c6a000 - 0x93c8cfef  com.apple.DirectoryService.Framework 3.6 (621.11) <CA979EAC-9537-43B6-CD69-C144ACB75E09> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
0x93c8d000 - 0x93c9fff7  com.apple.MultitouchSupport.framework 207.11 (207.11) <6FF4F2D6-B8CD-AE13-56CB-17437EE5B741> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
0x93ca0000 - 0x93ce6ff7  libauto.dylib ??? (???) <29422A70-87CF-10E2-CE59-FEE1234CFAAE> /usr/lib/libauto.dylib
0x93ce7000 - 0x93ce7ff7  com.apple.Accelerate 1.6 (Accelerate 1.6) <3891A689-4F38-FACD-38B2-4BF937DE30CF> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x93ce8000 - 0x93e25fe7  com.apple.audio.toolbox.AudioToolbox 1.6.7 (1.6.7) <2D31CC6F-32CC-72FF-34EC-AB40CEE496A7> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x93fe4000 - 0x94028fe7  com.apple.Metadata 10.6.3 (507.15) <460BEF23-B89F-6F4C-4940-45556C0671B5> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x94029000 - 0x94072fe7  libTIFF.dylib ??? (???) <579DC328-567D-A74C-4BCE-1D1C729E3F6D> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x94076000 - 0x94254feb  libType1Scaler.dylib ??? (???) <59FE1036-1BC2-1A8E-F7C6-E0CC15A4D6D2> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libType1Scaler.dylib
0x94255000 - 0x94255ff7  com.apple.ApplicationServices 38 (38) <8012B504-3D83-BFBB-DA65-065E061CFE03> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x94256000 - 0x9468bff7  libLAPACK.dylib 219.0.0 (compatibility 1.0.0) <5E2D2283-57DE-9A49-1DB0-CD027FEFA6C2> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x9468c000 - 0x946b4ff7  libxslt.1.dylib 3.24.0 (compatibility 3.0.0) <315D97C2-4E1F-A95F-A759-4A3FA5639E75> /usr/lib/libxslt.1.dylib
0x94d12000 - 0x95032ff3  com.apple.CoreServices.CarbonCore 861.39 (861.39) <5C59805C-AF39-9010-B8B5-D673C9C38538> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x95033000 - 0x951f5feb  com.apple.ImageIO.framework 3.0.4 (3.0.4) <027F55DF-7E4E-2310-1536-3F470CB8847B> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x9644a000 - 0x9644dffb  com.apple.help 1.3.2 (41.1) <8AC20B01-4A3B-94BA-D8AF-E39034B97D8C> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x967f9000 - 0x9685afe7  com.apple.CoreText 151.10 (???) <5C2DEFBE-D54B-4DC7-D456-9ED02880BE98> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x96acd000 - 0x96b31ffb  com.apple.htmlrendering 72 (1.1.4) <4D451A35-FAB6-1288-71F6-F24A4B6E2371> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x96d18000 - 0x96d3effb  com.apple.DictionaryServices 1.1.2 (1.1.2) <43E1D565-6E01-3681-F2E5-72AE4C3A097A> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x96d3f000 - 0x96decfe7  libobjc.A.dylib 227.0.0 (compatibility 1.0.0) <9F8413A6-736D-37D9-8EB3-7986D4699957> /usr/lib/libobjc.A.dylib
0x96e61000 - 0x97650557  com.apple.CoreGraphics 1.545.0 (???) <1D9DC7A5-228B-42CB-7018-66F42C3A9BB3> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x97651000 - 0x9766cff7  libPng.dylib ??? (???) <25DF2360-BFD3-0165-51AC-0BDAF7899DEC> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x9770a000 - 0x977eafe7  com.apple.vImage 4.1 (4.1) <D029C515-08E1-93A6-3705-DD062A3A672C> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x977eb000 - 0x9783eff7  com.apple.HIServices 1.8.3 (???) <1D3C4587-6318-C339-BD0F-1988F246BE2E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x97939000 - 0x97947ff7  com.apple.opengl 1.6.13 (1.6.13) <025A905D-C1A3-B24A-1585-37C328D77148> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x97948000 - 0x9794dff7  com.apple.OpenDirectory 10.6 (10.6) <C1B46982-7D3B-3CC4-3BC2-3E4B595F0231> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
0x982d9000 - 0x983b3fff  com.apple.DesktopServices 1.5.11 (1.5.11) <800F2040-9211-81A7-B438-7712BF51DEE3> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x983b4000 - 0x984c0ff7  libGLProgrammability.dylib ??? (???) <04D7E5C3-B0C3-054B-DF49-3B333DCDEE22> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x984c1000 - 0x984c8ff3  com.apple.print.framework.Print 6.1 (237.1) <F5AAE53D-5530-9004-A9E3-2C1690C5328E> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x984c9000 - 0x984cdff7  libGIF.dylib ??? (???) <2123645B-AC89-C4E2-8757-85834CAE3DD2> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x984ce000 - 0x984ceff7  liblangid.dylib ??? (???) <B99607FC-5646-32C8-2C16-AFB5EA9097C2> /usr/lib/liblangid.dylib
0x984cf000 - 0x98549fff  com.apple.audio.CoreAudio 3.2.6 (3.2.6) <156A532C-0B60-55B0-EE27-D02B82AA6217> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x9854a000 - 0x9854aff7  com.apple.vecLib 3.6 (vecLib 3.6) <FF4DC8B6-0AB0-DEE8-ADA8-7B57645A1F36> /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x9854b000 - 0x9858eff7  com.apple.NavigationServices 3.5.4 (182) <753B8906-06C0-3AE0-3D6A-8FF5AC18ED12> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x985b1000 - 0x985b2ff7  com.apple.TrustEvaluationAgent 1.1 (1) <FEB55E8C-38A4-CFE9-A737-945F39761B4C> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
0x98724000 - 0x9872effb  com.apple.speech.recognition.framework 3.11.1 (3.11.1) <EC0E69C8-A121-70E8-43CF-E6FC4C7779EC> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x9872f000 - 0x987d7ffb  com.apple.QD 3.36 (???) <FA2785A4-BB69-DCB4-3BA3-7C89A82CAB41> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x987d8000 - 0x987f9fe7  com.apple.opencl 12.3.6 (12.3.6) <B4104B80-1CB3-191C-AFD3-697843C6BCFF> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
0x9888b000 - 0x98891fff  com.apple.CommonPanels 1.2.4 (91) <2438AF5D-067B-B9FD-1248-2C9987F360BA> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x98892000 - 0x988d4ff7  libvDSP.dylib 268.0.1 (compatibility 1.0.0) <29E5ABCF-6D8A-0CE0-B480-C7D240FF8575> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x988fc000 - 0x98936ff7  libcups.2.dylib 2.8.0 (compatibility 2.0.0) <038731B1-CC44-3943-E3DE-4BAAA203EB72> /usr/lib/libcups.2.dylib
0x98948000 - 0x989b7ff7  libvMisc.dylib 268.0.1 (compatibility 1.0.0) <706684C7-AFA0-B036-274A-D02F8961DED5> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x989b8000 - 0x98a70feb  libFontParser.dylib ??? (???) <D57D3834-9395-FD58-092A-49B3708E8C89> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
0x98a71000 - 0x98b3cfef  com.apple.CoreServices.OSServices 359.2 (359.2) <7C16D9C8-6F41-5754-17F7-2659D9DD9579> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x98b3d000 - 0x98e37fef  com.apple.QuickTime 7.6.6 (1787) <AC48EAD9-7201-7CE6-C826-41B12963FECF> /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x98e38000 - 0x98ecafe7  com.apple.print.framework.PrintCore 6.3 (312.7) <7410D1B2-655D-68DA-D4B9-2C65747B6817> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x98edd000 - 0x9914efef  com.apple.Foundation 6.6.8 (751.63) <69B3441C-B196-F2AD-07F8-D8DD24E4CD8C> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x9914f000 - 0x99173ff7  libJPEG.dylib ??? (???) <EA97DEC5-6E16-B51C-BF55-F6E8D23526AD> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x99174000 - 0x995c5fef  com.apple.RawCamera.bundle 3.7.1 (570) <AF94D180-5E0F-10DF-0CB2-FD8EDB110FA2> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
0x995c6000 - 0x996c7fe7  libxml2.2.dylib 10.3.0 (compatibility 10.0.0) <C75F921C-F027-6372-A0A1-EDB8A6234331> /usr/lib/libxml2.2.dylib
0x996c8000 - 0x9974affb  SecurityFoundation ??? (???) <3670AE8B-06DA-C447-EB14-79423DB9C474> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x99829000 - 0x9982bff7  libRadiance.dylib ??? (???) <5920EB69-8D7F-5EFD-70AD-590FCB5C9E6C> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x99973000 - 0x99974ff7  com.apple.audio.units.AudioUnit 1.6.7 (1.6.7) <838E1760-F7D9-3239-B3A8-20E25EFD1379> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x99975000 - 0x999b9ff3  com.apple.coreui 2 (114) <29F8F1A4-1C96-6A0F-4CC2-9B85CF83209F> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x99a5c000 - 0x99a62ff7  libCGXCoreImage.A.dylib 545.0.0 (compatibility 64.0.0) <6EE825E7-CBA5-2AD2-0336-244D45A1A834> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXCoreImage.A.dylib
0x99a63000 - 0x99a70ff7  com.apple.NetFS 3.2.2 (3.2.2) <DDC9C397-C35F-8D7A-BB24-3D1B42FA5FAB> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
0x99b01000 - 0x99b44ff7  libGLU.dylib ??? (???) <FB26DD53-03F4-A7D7-8804-EBC5B3B37FA3> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x99bbf000 - 0x99bd4fff  com.apple.ImageCapture 6.1 (6.1) <B909459A-EAC9-A7C8-F2A9-CD757CDB59E8> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x99c07000 - 0x99f2bfef  com.apple.HIToolbox 1.6.5 (???) <21164164-41CE-61DE-C567-32E89755CB34> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x99f2c000 - 0x99f40fe7  libbsm.0.dylib ??? (???) <821E415B-6C42-D359-78FF-E892792F8C52> /usr/lib/libbsm.0.dylib
0x99f54000 - 0x99f87fff  libTrueTypeScaler.dylib ??? (???) <0F04DAC3-829A-FA1B-E9D0-1E9505713C5C> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libTrueTypeScaler.dylib
0x99f88000 - 0x99f94ff7  libkxld.dylib ??? (???) <9A441C48-2D18-E716-5F38-CBEAE6A0BB3E> /usr/lib/system/libkxld.dylib
0x99fa5000 - 0x99faeff7  com.apple.DiskArbitration 2.3 (2.3) <E9C40767-DA6A-6CCB-8B00-2D5706753000> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x99fcd000 - 0x9a02aff7  com.apple.framework.IOKit 2.0 (???) <3DABAB9C-4949-F441-B077-0498F8E47A35> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x9a02b000 - 0x9a02bff7  com.apple.Accelerate.vecLib 3.6 (vecLib 3.6) <ABF97DA4-3BDF-6FFD-6239-B023CA1F7974> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x9a02c000 - 0x9a02cff7  com.apple.Carbon 150 (152) <9252D5F2-462D-2C15-80F3-109644D6F704> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x9a02d000 - 0x9a0d9fe7  com.apple.CFNetwork 454.12.4 (454.12.4) <DEDCD006-389F-967F-3405-EDF541F406D7> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x9a0da000 - 0x9a1dcfe7  libcrypto.0.9.8.dylib 0.9.8 (compatibility 0.9.8) <015563C4-81E2-8C8A-82AC-31B38D904A42> /usr/lib/libcrypto.0.9.8.dylib
0x9a1dd000 - 0x9a1eeff7  com.apple.LangAnalysis 1.6.6 (1.6.6) <97511CC7-FE23-5AC3-2EE2-B5479FAEB316> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x9a1ef000 - 0x9a26ffeb  com.apple.SearchKit 1.3.0 (1.3.0) <2F5DE102-A203-7905-7D12-FCBCF17BAEF8> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x9a27c000 - 0x9a4e1feb  com.apple.security 6.1.2 (55002) <7F00A51B-F22A-0EBC-A321-923472D686BD> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x9a521000 - 0x9a5ddfff  com.apple.ColorSync 4.6.6 (4.6.6) <7CD8B191-039A-02C3-EA5E-4194EC59995B> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x9a5de000 - 0x9a697fe7  libsqlite3.dylib 9.6.0 (compatibility 9.0.0) <52438E77-55D1-C231-1936-76F1369518E4> /usr/lib/libsqlite3.dylib
0x9a698000 - 0x9a702fe7  libstdc++.6.dylib 7.9.0 (compatibility 7.0.0) <411D87F4-B7E1-44EB-F201-F8B4F9227213> /usr/lib/libstdc++.6.dylib
0x9a837000 - 0x9a842ff7  libGL.dylib ??? (???) <3E34468F-E9A7-8EFB-FF66-5204BD5B4E21> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x9a843000 - 0x9a884ff7  libRIP.A.dylib 545.0.0 (compatibility 64.0.0) <80998F66-0AD7-AD12-B9AF-3E8D2CE6DE05> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x9a8a4000 - 0x9a8c3ff7  com.apple.CoreVideo 1.6.2 (45.6) <EB53CAA4-5EE2-C356-A954-5775F7DDD493> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x9a907000 - 0x9a938ff7  libGLImage.dylib ??? (???) <0EE86397-A867-0BBA-E5B1-B800E43FC5CF> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x9a939000 - 0x9a944ff7  libCSync.A.dylib 545.0.0 (compatibility 64.0.0) <287DECA3-7821-32B6-724D-AE03A9A350F9> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x9aa41000 - 0x9aa7eff7  com.apple.SystemConfiguration 1.10.8 (1.10.2) <50E4D49B-4F61-446F-1C21-1B2BA814713D> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x9aa7f000 - 0x9aabafeb  libFontRegistry.dylib ??? (???) <AD45365E-A3EA-62B8-A288-1E13DBA22B1B> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
0x9aad4000 - 0x9aaf0fe3  com.apple.openscripting 1.3.1 (???) <DA16DE48-59F4-C94B-EBE3-7FAF772211A2> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0xba900000 - 0xba916ff7  libJapaneseConverter.dylib 49.0.0 (compatibility 1.0.0) <B339B85B-1B6D-81D8-1281-7B8C8A517329> /System/Library/CoreServices/Encodings/libJapaneseConverter.dylib
0xffff0000 - 0xffff1fff  libSystem.B.dylib ??? (???) <2DCD13E3-1BD1-6F25-119A-3863A3848B90> /usr/lib/libSystem.B.dylib

Model: MacBookPro6,2, BootROM MBP61.0057.B0C, 2 processors, Intel Core i5, 2.53 GHz, 8 GB, SMC 1.58f16
Graphics: NVIDIA GeForce GT 330M, NVIDIA GeForce GT 330M, PCIe, 256 MB
Graphics: Intel HD Graphics, Intel HD Graphics, Built-In, 288 MB
Memory Module: global_name
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x93), Broadcom BCM43xx 1.0 (5.10.131.42.4)
Bluetooth: Version 2.4.5f3, 2 service, 19 devices, 1 incoming serial ports
Network Service: Ethernet, Ethernet, en0
Serial ATA Device: ST9500325ASG, 465.76 GB
Serial ATA Device: MATSHITADVD-R   UJ-898
USB Device: Hub, 0x0424  (SMSC), 0x2514, 0xfa100000 / 2
USB Device: Internal Memory Card Reader, 0x05ac  (Apple Inc.), 0x8403, 0xfa130000 / 5
USB Device: BRCM2070 Hub, 0x0a5c  (Broadcom Corp.), 0x4500, 0xfa110000 / 4
USB Device: Bluetooth USB Host Controller, 0x05ac  (Apple Inc.), 0x8218, 0xfa113000 / 8
USB Device: Apple Internal Keyboard / Trackpad, 0x05ac  (Apple Inc.), 0x0236, 0xfa120000 / 3
USB Device: Hub, 0x0424  (SMSC), 0x2514, 0xfd100000 / 2
USB Device: IR Receiver, 0x05ac  (Apple Inc.), 0x8242, 0xfd120000 / 4
USB Device: Built-in iSight, 0x05ac  (Apple Inc.), 0x8507, 0xfd110000 / 3
Comment 40 Caolán McNamara 2011-11-21 01:40:53 UTC
0   libsbmxi.dylib                    0x01fdca43 DocBasicItem::~DocBasicItem()
+ 67
1   libsbmxi.dylib                    0x020c24c3 SbxHint::~SbxHint() + 227
2   libSystem.B.dylib                 0x92cd4bff __cxa_finalize + 208
3   libSystem.B.dylib                 0x92cd4b14 exit + 33

basic/source/classes/sb.cxx in libreoffice-3-4 has

namespace
{
    static DocBasicItemMap GaDocBasicItems;
}

I wonder if that's the global which is getting dtored post-main.
Comment 41 Caolán McNamara 2011-11-21 01:44:13 UTC
Looks like we've considered that possibility already, and made some changes to that for 3-5 anyway, we didn't backport it to 3-4 http://cgit.freedesktop.org/libreoffice/core/commit/?id=0ee44dbd6f7921a70e2ddf039dc8a02b03129efd

*** This bug has been marked as a duplicate of bug 39520 ***
Comment 42 Björn Michaelsen 2011-12-22 05:37:20 UTC
Remove infoprovider from closed and resolved bugs.
Comment 43 Björn Michaelsen 2011-12-22 05:54:27 UTC
RESOLVED, FIXED or CLOSED bugs cant be KEYWORD NEEDINFO.